What is ThumbnailXpress?

ThumbnailXpress™, Version 2 provides support for the generation and display of thumbnail images.

New Features in Version 2

  • Directory drill down
  • Drag and drop thumbnails
  • Programmatic scrolling
  • Mousewheel support
  • Keyboard navigation
  • Load thumbnails from memory buffer or IO.Stream
  • Save thumbnail image as Bitmap, HBitmap, or Picture object
  • Set component, cell, text back color
  • Associate user-defined data with thumbnail images
  • Generate thumbnails of CAD images

Primary Features Include

  • Input single image files, folders of images, and individual pages of multi-page images

  • Generates thumbnail images of all image types supported in ImagXpress

  • Integrate seamlessly with Pegasus Imaging PDFXpress™ for displaying thumbnail images of PDF files

  • Provides fast sizing and filtering of input files

  • Provides control of display features including thumbnail size, spacing, border lines, and selection

  • Provides control over sophisticated asynchronous threading capabilities for rapid generation of thumbnail images from source images
  • Optimized thumbnail caching for fast scrolling through thumbnail lists

  • Provide custom or various 'stock' labels for thumbnail items

  • Develop powerful image thumbnailing applications for Windows
See Also

Getting Support and Samples | License Agreement | Operating Requirements

© 2008, Pegasus Imaging Corporation, All Rights Reserved.


What is The ImagXpress Product Family?

ImagXpress® Version 9 is Pegasus Imaging Corporation’s comprehensive image processing toolkit designed for document imaging, medical imaging, and photo imaging application development. The ImagXpress v9 Product Family includes the following Components:

  • ImagXpress v9 – image compression, decompression, viewing, and processing
  • NotateXpress™ v9 – image annotation support
  • ThumbnailXpress™ v2 – thumbnail image support
  • TwainPRO™ v5 – TWAIN image acquisition support
  • PrintPRO™ v4 – image printing support

ImagXpress Editions: The components within the ImagXpress v9 Product Family are available in four editions, designed to meet specific imaging needs:

  • Photo: includes ImagXpress, NotateXpress, TwainPRO, PrintPRO, and ThumbnailXpress
  • Document: includes ImagXpress, NotateXpress, TwainPRO, PrintPRO, and ThumbnailXpress
  • View: Includes ImagXpress, NotateXpress, PrintPRO, and ThumbnailXpress
  • Standard: Includes ImagXpress and TwainPRO

Additional Pegasus Imaging Components: Additional components are available for purchase separately, and integrate easily with to provide a comprehensive imaging solution:

  • PDFXpress™ – PDF creation, viewing, and annotating
  • OCRXpress™ – full page OCR
  • Barcode Xpress™ – recognize barcodes
  • ScanFix Xpress™ – advanced image cleanup
  • FormFix™ – form ID, dropout, and OMR
  • SmartZone™ ICR / OCR – character recognition

See www.PegasusImaging.com for product packaging and sales information.

See Also

Getting Support and Samples | License Agreement | Operating Requirements


Getting Support and Samples

Benefits of Registering your Pegasus Development Kit

Purchasers of development kits need to register with Pegasus in order to be notified of updates and receive support now or in the future. Registration is automatic when purchased directly from the Pegasus web site. If purchased through a Pegasus reseller, please register your purchase by filling out the form at www.PegasusImaging.com/registration.htm.

Vehicles for Support

Samples

Samples are included in the downloaded installation.

The product installation program installs a common sample folder accessible via the Start Menu.

Samples for the ActiveX framework:

  • ActiveX/Visual Basic 6
  • ActiveX/C++
  • Delphi (ActiveX)
  • HTML

Access the samples

  • Through the Windows Start menu: Start | Programs | Pegasus Imaging | ThumbnailXpress | Samples
  • Sample image files included

Sample Code Newsgroups

Customers create samples of great benefit to other developers, so we created a Sample Code Newsgroup. This is a newsgroup for our customers and potential customers. They post and receive sample code from our development team and other developers to expedite their development. Go online at: www.PegasusImaging.com/samplecode.htm

Web Support

Visit the Pegasus Imaging web site frequently asked questions page www.PegasusImaging.com/faq.htm for the fastest answers to common questions. The web site also provides other support options that are accessible at www.PegasusImaging.com/supportagree.htm.

E-mail Support

Both pre-sale and post-sale e-mail support is offered free of charge. Questions are answered on a First-Come-First-Served basis. Support@JPG.com responds instantly to e-mail received with a helpful set of locations to find additional information on Pegasus products including FAQ's, sample code, newsgroup locations and other current information pertaining to the use of the products. The support request is then added to the queue of outstanding requests. The goal of the support team to respond to each e-mail within 1 business day.

The sales team is always available as a backup to the support team. If you feel you have an urgent support or sales issue please contact Sales@JPG.com . They will assist you promptly.

Newsgroup Support

The Publicly accessible NNTP news groups located at News.PegasusImaging.com are available for each of the Controls as well as advanced imaging technology and a sample code group. We expect that the development community will freely access and search these newsgroups to find common questions and answers regarding specific uses of the controls.

On-Demand Phone Support

On-demand priority phone support can be purchased in 15 minute increments with a credit card via the Pegasus Imaging Corporation web site Support, General Info page. If you decide to purchase "on-demand" phone support, instructions will immediately be e-mailed upon receipt of your purchase.

Additionally, Pegasus offers three support plans for those customers whose commercial products or projects are sensitive or critical in nature, where immediate response and 'latest release' code are important.

1. Chariot Support

All Pegasus Imaging customers are given the opportunity to purchase a Chariot Support agreement. This is a maintenance and upgrade agreement that entitles customers to priority e-mail service, direct phone support from the support and development staff and free product upgrades for the covered products. Since upgrades are included for Chariot customers at no additional charge, Chariot customers can frequently save money, plus obtain the benefits of phone and expedited support. Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm for more information.

2. Galleon Support

Customers are given the opportunity to purchase Galleon Support for Pegasus Imaging products that are applications and for products that require Run Time licensing. Galleon Support includes licensing of product upgrades for deployed installations at no additional license fee cost.Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm for more information.

3. Atlas Support

All Pegasus Imaging customers are given the opportunity to purchase an Atlas Support agreement on currently supported products. This is an agreement that entitles customers to priority e-mail service and direct phone support from the support and development staff. It differs from Chariot Support in that it does not include version upgrades free of charge. Pegasus Imaging reserves the right to change the terms of this service at any renewal period. Contact Sales via the web at www.PegasusImaging.com/contactform.htm for more information.

For the latest and most up-to-date support information, access www.PegasusImaging.com/contact.htm.

See Also

Operating Requirements | Trial Mode | Installing on a Development Machine


Pegasus Imaging Corporation

Pegasus Imaging is uniquely positioned to serve as your leading imaging technology supplier. A full suite of document imaging toolkits, forms processing technology, medical image compression SDKs, photo editing and compression libraries, browser-based image viewers, and video codecs provide advanced technology designed to enhance imaging software solutions. Fully functional trial downloads and customer-acclaimed support allow you to be certain your requirements will be met before purchase. Work with the best. Choose Pegasus Imaging for all your imaging needs.

Visit www.PegasusImaging.com for full product descriptions, FAQ's, downloads, demos, and contact information.

Pegasus Imaging

4001 North Riverside Drive

Tampa, FL 33603

Sales: 813-875-7575

Copyrights & Trademarks

Pegasus and the Pegasus Horse Logo are registered marks (®) of Pegasus Imaging Corporation.

Barcode Xpress, CapturePRO, FilePrinter, FormAssist, FormDirector, FormSuite, ISIS Xpress, The JPEG Wizard, MedXpress, NotateXpress, OCR Xpress, PDF Xpress, PICTools, ePIC, PICVideo, PrintPRO, SmartScan Xpress, SmartZone, ThumbnailXpress, and TwainPRO are trademarks (™) of Pegasus Imaging Corporation.

ImagXpress, FormFix, ScanFix, Prizm, ColorDrop, ColorEnhance, ColorFind, ColorForms, CompressDirector, Digital Mark Recognition (DMR), Image Detergent, ViewDirector and Virtual Scoring Center (VSC) by assignment are trademarks (™) or registered trademarks (®) of Pegasus Imaging Corporation.

Pegasus Imaging and/or its agents use these marks and brand names in connection with its goods and/or services, in the United States and other countries. Information in this document is subject to change without notice. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Pegasus Imaging Corporation.

Microsoft, Microsoft.NET, Visual Basic, Visual Studio and Visual Studio.NET are trademarks of Microsoft Corporation in the USA and/or other countries. All other product and brand names are the property of their respective owners.

See Also

License Agreement


Operating Requirements

Operating Systems

ThumbnailXpress™ runs on 32-bit Microsoft Windows operating systems: Vista, 2000 Professional and Server, XP Home and Professional and Server 2003. It works with 32-bit Windows versions running on 32 and 64-bit processors. It runs in 32-bit executables running under 64-bit Windows 2000 Server and 2003 Server. Although it may run, it is not supported on previous Windows versions (for example, Windows 95 and Windows 98).

Threading

Pegasus considers thread-safe to be when an application using this component can use multiple controls running in the same process, where they don't interfere with each other. The thread creating the control owns the control and is the only thread that can interact with it.

Development Environment

Microsoft Visual Basic 6

Microsoft Visual C++ 6

Caching Data and Memory Usage

During normal operation ThumbnailXpress caches data to temporary files on the hard drive. The size of the image and the amount of text on an image dictate how much hard drive space each page uses. Each page added to a document also increases the amount of hard drive space needed. To ensure effective operation, there should be 7 to 8 MB of hard drive space for each 8 1/2 by 11 inch 300dpi 24bpp page of full text at 12pt font size.

See Also

Getting Support and Samples | Installing on a Development Machine | Run Time Licensing


Installing on a Development Machine

To Install ThumbnailXpress™ Component

Run the downloaded setup program which installs the development kit on your development machine. The downloaded development kit includes code samples for supported platforms. Samples are available through:

Start | Programs | Pegasus Imaging | ThumbnailXpress v2.0 menu.

By default this will register trial licensing which allows you to develop applications but not to distribute them. The trial license allows testing of all the functions and features.

Please see the section 'Distributing Applications and Deployment' to understand the limits and details to convert licensing editions.
In order to distribute your finished application you must purchase and install a fully paid license from Pegasus Imaging Corporation. The paid licenses override trial licenses.

To Use ThumbnailXpress Help Files

Stand-alone Help file "PegasusImaging.ActiveX.ThumbnailXpress2.chm"

Access the ThumbnailXpress stand-alone help through the Windows Start menu: Start | Programs | Pegasus Imaging | ThumbnailXpress v2.0

The stand-alone file is created with MS Help system version 1. To view stand-alone help files, you must have:

  • Windows 2000 or higher (to view the file via the Windows HTML Help Viewer)
  • Internet Explorer 6.0 or higher
  • MS HTML Help Viewer

See Also

Operating Requirements | Run Time Licensing | Development Mode | License Agreement | Distributing with Your ActiveX Application


Import ThumbnailXpress as a COM Object

ThumbnailXpress™ can be used as an ActiveX control in development environments that provide container support like Visual Basic or Visual C++. In this case, the ThumbnailXpress control is placed on a form or dialog box.

You can also import ThumbnailXpress as a COM object in development environments like Visual C++. In this case, ThumbnailXpress is not restricted to a dialog box and it does not require container support. The following discussion assumes that your development environment is Visual C++.

Starting with version 5 of Visual C++, Microsoft has provided support for a new #import compiler directive that enables developers to import components directly as native COM objects, bypassing the ActiveX trappings. The following is a quote from a brief section of the Fourth Edition of Inside Visual C++ (Microsoft Press): "The #import directive is the future of COM programming. With each new version of Visual C++, you’ll see COM features moving into the compiler…"

Importing a Control into Visual C++

The #import directive line can be added to the stdafx.h file to provide the appropriate functionality to all source files in the project.

C++ Example:

// This code demonstrates the #import directive used in the stdafx.h file

#if !defined (AFX_STDAFX_H__CEEB89E9_40D9_11D3_9CFE_00400543FF49__INCLUDED_)
#define AFX_STDAFX_H__CEEB89E9_40D9_11D3_9CFE_00400543FF49__INCLUDED_
#define VC_EXTRALEAN // Exclude rarely-used stuff from Windows headers
#include <AFXWIN.H; // MFC core and standard components
#include <AFXEXT.H; // MFC extensions
#include <AFXDISP.H; // MFC OLE automation classes

#include <AFXDTCTL.H>; // MFC support for Internet Explorer 4 Common
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <AFXCMN.H> // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT
//#import the ThumbnailXpress DLL here
#import "PegasusImaging.ActiveX.ThumbnailXpress2.dll"//{{AFX_INSERT_LOCATION}}

// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
#endif // !defined(

The #import directive simply points to the ThumbnailXpress control. When the ThumbnailXpress control is imported with the #import directive, the compiler produces 2 files – a .tli and a .tlh file – that together create the necessary COM wrapper for the control’s properties and methods. Since the directive is in your stdafx.h file, the wrappers are immediately available to your other modules. The wrapper code defines COM smart pointers to your .IDL-defined interfaces. To use this COM object, you simply create an instance of the interface you want and then call methods directly by using this instance pointer.

Declare a Pointer to the COM Object

After the #import directive is added, a pointer to the ThumbnailXpress COM object must be defined.

C++ Example:

// In the DibBC project, the pointer is called and it is implemented in the EventDlg.h file as follows

#ifndef DIBBCDLG_H
#define DIBBCDLG_H
#pragma once
using namespace PegasusImagingActiveXThumbnailXpress1;
#include "..\Include\ThumbnailXpress1Events.h"

class CEventDlg : public CDialog //, CThumbnailXpressEventHandler
{
public:
CThumbnailXpress *ppCThumbnailXpress1;

The Thumbnailexpress1Events.h file contains the CThumbanil class. The CThumbnail class is used to create a ThumbnailXpress COM object and handles ThumbnailXpress events.

Initialize COM

The COM library must be initialized before COM functions can be called and it must be closed before the program exits.

C++ Example:

// This is illustrated in the Event.cpp file as follows

BOOL CEventApp::InitInstance()
{
HRESULT hRes = CoInitialize(NULL);
AfxEnableControlContainer();
// Standard initialization
// If you are not using these features and wish to reduce the size
// of your final executable, you should remove from the following
// the specific initialization routines you do not need.
#ifdef _AFXDLL
Enable3dControls(); // Call this when using MFC in a shared DLL
#else
Enable3dControlsStatic(); // Call this when linking to MFC statically
#endif
CEventDlg dlg;
m_pMainWnd = &dlg;
int nResponse = dlg.DoModal();
if (nResponse == IDOK)
{
// TODO: Place code here to handle when the dialog is
// dismissed with OK
 }
else if (nResponse == IDCANCEL)
{
// TODO: Place code here to handle when the dialog is
// dismissed with Cancel
 }
// Closes the COM library on the current apartment,
// unloads all DLLs loaded by apartment,
// frees any other resources that the apartment maintains, and
// forces all RPC connections on the apartment to close.
 CoUninitialize();
// Since the dialog has been closed, return FALSE so that we exit the
// application, rather than start the application's message pump.
 return FALSE;
}

Create the ThumbnailXpress COM Object

To use ThumbnailXpress, an instance of the ThumbnailXpress COM object must be created. After the object is created, the object’s properties and methods can be used to create your scanning application. In the Event project, the COM object is created in the DibBcDlg.cpp file as follows:

Before you distribute applications that use the ThumbnailXpress COM object, you need to edit the tn1_open.cpp file and change the values passed to the UnlockControl function. Obtain distribution codes from Pegasus Imaging.

// Include the ThumbnailXpress COM initialization routines
#include "..\Include\TN1_open.cpp"
BOOL CEventDlg::OnInitDialog()
{
CDialog::OnInitDialog();

// Add "About..." menu item to system menu.
// IDM_ABOUTBOX must be in the system command range.
 ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
ASSERT(IDM_ABOUTBOX < 0xF000);

CMenu* pSysMenu = GetSystemMenu(FALSE);
if (pSysMenu != NULL)
{
CString strAboutMenu;
strAboutMenu.LoadString(IDS_ABOUTBOX);
if (!strAboutMenu.IsEmpty())
{
pSysMenu->AppendMenu(MF_SEPARATOR);
pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
}
}

// Set the icon for this dialog. The framework does this automatically
// when the application's main window is not a dialog
 SetIcon(m_hIcon, TRUE); // Set big icon
SetIcon(m_hIcon, FALSE); // Set small icon
ppCThumbnailXpress1 = NULL;
ppCThumbnailXpress2 = NULL; // Initialize the ThumbnailXpress COM interface. MUST be done before creating the first object.
HINSTANCE hDLL = TN_Open();

// Create ThumbnailXpress Object 1
ppCThumbnailXpress1 = new CThumbnailXpress((DWORD)this, 1, (long)m_hWnd, 10, 120, 530, 200);

// NOTE: The Unlock codes shown below are for illustration purposes only.
// For distribution, uncomment and call the UnlockRuntime function passing the ThumbnailXpress license unlock codes
//ppCThumbnailXpress1->pThumbnailXpress->UnlockRuntime(123456789, 123456789, 123456789, 123456789);

// For distribution, uncomment and call call the UnlockRuntime function passing the ImagXpress license unlock codes
//ppCThumbnailXpress1->pThumbnailXpress->SetIXLicenseCodes(123456789, 123456789, 123456789, 123456789);
// initialize control related parameters
ppCThumbnailXpress1->pThumbnailXpress->ScrollDirection = TN_Horizontal;
// initialize event related parameters
ppCThumbnailXpress1->SetPaintEvent(Paint);
ppCThumbnailXpress1->SetSelectionIndexChangedEvent(SelectionIndexChanged);
ppCThumbnailXpress1->pThumbnailXpress->EnableEvent(TN_SelectedIndexChange, TRUE);
ppCThumbnailXpress1->SetErrorEvent(Error);
ppCThumbnailXpress1->pThumbnailXpress->EnableEvent(TN_Error , TRUE);
ppCThumbnailXpress1->SetItemCompleteEvent(ItemComplete);
ppCThumbnailXpress1->pThumbnailXpress->EnableEvent(TN_ItemComplete , TRUE);
ppCThumbnailXpress1->SetClickEvent(Click);
ppCThumbnailXpress1->SetDblClickEvent(DblClick);
// Create ThumbnailXpress Object 2
ppCThumbnailXpress2 = new CThumbnailXpress((DWORD)this, 2, (long)m_hWnd, 10, 330, 530, 200);

// NOTE: The Unlock codes shown below are for illustration purposes only.
// For distribution, uncomment and call the UnlockRuntime function passing the ThumbnailXpress license unlock codes
//ppCThumbnailXpress2->pThumbnailXpress->UnlockRuntime(123456789, 123456789, 123456789, 123456789);

// For distribution, uncomment and call call the UnlockRuntime function passing the ImagXpress license unlock codes
//ppCThumbnailXpress2->pThumbnailXpress->SetIXLicenseCodes(123456789, 123456789, 123456789, 123456789);

// initialize control related parameters
ppCThumbnailXpress2->pThumbnailXpress->ScrollDirection = TN_Vertical;

// initialize event related parameters
ppCThumbnailXpress2->SetClickEvent(Click);
ppCThumbnailXpress2->SetDblClickEvent(DblClick);
 ppCThumbnailXpress2->SetPaintEvent(Paint);
ppCThumbnailXpress2->SetSelectionIndexChangedEvent(SelectionIndexChanged);
ppCThumbnailXpress2->pThumbnailXpress->EnableEvent(TN_SelectedIndexChange, TRUE);
ppCThumbnailXpress2->SetErrorEvent(Error);
ppCThumbnailXpress2->pThumbnailXpress->EnableEvent(TN_Error , TRUE);
ppCThumbnailXpress2->SetItemCompleteEvent(ItemComplete);
ppCThumbnailXpress2->pThumbnailXpress->EnableEvent(TN_ItemComplete , TRUE);

// Close the ThumbnailXpress COM initialization. MUST be done anytime
// after the first ThumbnailXpress object is created.
 TN_Close(hDLL);
return TRUE;

// return TRUE unless you set the focus to a control
}

Use the ThumbnailXpress COM Object to Set Properties and Call Methods

After an instance of the ThumbnailXpress COM object is created, the object can be used to set ThumbnailXpress properties and call its methods.

C++ Example:

// In the Event project, this is illustrated in the OnButton1() function shown below. This function is called when the user clicks the button.

void CEventDlg::OnButton1()
{
CEventDlg *p = (CEventDlg *) this;
CListBox *pL = (CListBox *)p->GetDlgItem(IDC_LIST1);
if(ppCThumbnailXpress1)
{
ppCThumbnailXpress1->pThumbnailXpress->AddDirectoryItems("..\\..\\..\\..\\..\\..\\Common\\Images\\*.tif", -1);
if(ppCThumbnailXpress1->pThumbnailXpress->ErrorCode)
pL->SetCurSel(pL->AddString( "***ERROR*** unable to load images from ..\\..\\..\\..\\..\\..\\Common\\Images - ThumbnailXpress #1"));
}
}

Delete the ThumbnailXpress COM Object

The ThumbnailXpress COM object must be deleted when it is no longer needed. The object is usually deleted before the application exits.

C++ Example:

// In the Event project, the COM object is deleted as follows

void CEventDlg::OnDestroy()
{
CDialog::OnDestroy();
// Delete our ThumbnailXpress Objects
if(ppCThumbnailXpress1)
{
delete ppCThumbnailXpress1;
}
if(ppCThumbnailXpress2)
{
delete ppCThumbnailXpress2;
}
}


Use ThumbnailXpress as an ActiveX Control

The following discussion assumes that your development environment is Visual Basic.

Creating an Application with Visual Basic and ThumbnailXpress™

  • Adding the ThumbnailXpress control to a project
  • Using the ThumbnailXpress control on a form
  • Writing code that controls the ThumbnailXpress properties and methods

Loading the ThumbnailXpress Control Involves Adding it to a Project

  1. Open the project that will use the ThumbnailXpress control. This can be a new or existing project.
  2. From the Project menu, choose Components. The Control window appears with a list of available controls.
  3. Select the ThumbnailXpress control (i.e. Pegasus Imaging ThumbnailXpress v2.0). Click the OK button.

Other Environments

The ThumbnailXpress control is supported by a variety of host environments. To use ThumbnailXpress in other environments, consult the development tool's documentation for information on how to use ActiveX controls. As soon as the control is loaded, the following things happen:

  • The control becomes part of the current project.
  • A new tool is added to the Toolbox. This tool is used to draw the ThumbnailXpress control on the form.

The new control can now be used as if it were a standard control. The ThumbnailXpress control has its own set of properties and methods which can be seen by using the Properties and Code windows.


Trial Mode

Default Installation

The default installation installs Trial Mode licensing. This allows you to test features and functions and develop applications but not distribute them. Installing ThumbnailXpress™ in trial mode provides you with access to all features and functionality of the ThumbnailXpress product. E-mail support is available with the trial license.

When using the trial version of ThumbnailXpress, an evaluation dialog box displays periodically.

Applications built with a trial license can only be run on a computer that has ThumbnailXpress Licensing installed on it.

Changing Trial Mode Behavior

You have the flexibility to change the behavior of ThumbnailXpress in evaluation mode as follows:

  • To facilitate server/service mode evaluations, you can choose to halt the component processing after 5 minutes in lieu of displaying an evaluation dialog box periodically. This is the TN_Watermark setting for the EvaluationMode property.

Changing ThumbnailXpress Edition

Installing ThumbnailXpress in trial mode enables you to try out all the editions associated with ThumbnailXpress, by setting the IXLicenseEdition property. Any edition for which you do not have paid licensing will display the evaluation dialog box or timeout. For example, if you have paid for and installed the licensing strings for ImagXpress Standard and you would like to evaluate ThumbnailXpress using ImagXpress® Professional, you can change the IXLicenseEdition property within ThumbnailXpress from Standard to Professional. The component will then run in Professional mode with trial behavior, including the periodic display of dialog boxes.

See Also

Development Mode | Run Time Licensing | License Agreement | Getting Support and Samples


Development Mode

To suppress the evaluation dialog box and deploy your application, or attain technical support (beyond e-mail), as well as future product updates and upgrade notifications, you must update from a trial version to a paid version of the ThumbnailXpress™ development kit.

1. Purchase Development Kit(s)

To purchase licensing of the ThumbnailXpress development kit, use one of the following options:

  • Purchase online at www.PegasusImaging.com.
  • Contact Sales via the web at www.PegasusImaging.com/contactform.htm for more information.
  • Contact a Pegasus Imaging Corporation reseller.

When the development kit is purchased, we e-mail a serial number & registration code to you. You need these codes to upgrade from trial to paid licensing.

2. Register the ThumbnailXpress Product

When you purchase ThumbnailXpress online or through Sales@JPG.com, your product ownership is automatically registered.

To register products purchased through a reseller, use the form found at www.PegasusImaging.com/registration.htm.

See Getting Support and Samples for a discussion of benefits to providing your name to Pegasus Imaging. We never sell our customer information.

If your registration information should change, visit www.PegasusImaging.com/contact.htm for forms to update registration information.

3. Update Your ThumbnailXpress Product Version from Trial to Paid Licensing

Updating your ThumbnailXpress from trial to paid licensing will suppress the trial behavior, including the evaluation dialog box or timeout.

To update components from trial to paid licensing:

  • Enter your new license codes using one of the following options:
    • Enter licensing information (serial number, registration code and personal registration information) during component installation while downloading the latest release from www.PegasusImaging.com (the recommended approach).
    • Alternatively, licensing information (serial number, registration code and personal registration information) can be entered through the Visual Development Environment in response to the dialog display.
  • Rebuild any applications that used the components with trial licensing

For more information on Run Time licensing, see the Pegasus Imaging website for more detailed information regarding Run Times and Deployment Licensing.

See Also

Trial Mode | Run Time Licensing | License Agreement | Getting Support and Samples


Run Time Licensing

Run Time & Deployment Licensing

All copyrights to Pegasus Imaging development kits and software are retained by Pegasus Imaging Corporation. ALL RIGHTS RESERVED. Your use of any of Pegasus Imaging software or run-times created with Pegasus Imaging software is allowed under license terms granted by Pegasus Imaging. It is the Licensee's responsibility to honor the terms of such license grants.

Locking Mechanism

ThumbnailXpress™ contains a locking mechanism that does not permit you to distribute applications created with evaluation versions of ThumbnailXpress. Prior to distributing an application that utilizes ThumbnailXpress, you must purchase and enable run-time licensing. If the application will be delivered on the web, you must also purchase and enable web application licensing.

Obtaining Appropriate Licensing

The Licensee is required to purchase one copy of our development kit(s) for each developer in addition to obtaining the appropriate license agreement prior to deploying applications which contain Pegasus code.

Pegasus Imaging software applications and development tools are limited for use on a single CPU. Any run times or copies created must be granted by a direct license from Pegasus Imaging Corporation. These "end user" licenses provide the terms and limits of number and usage.

All prospective customers have every opportunity to evaluate Pegasus Imaging's products prior to purchasing. Product licensing is priced to cover what is considered to be normal (and even high) use. In addition, Pegasus Imaging fully supports and warrants its code and pricing reflects those costs as well. The larger and more valuable an application deployment is, the higher the support and warranty risk is for Pegasus.

Review the licensing categories, and select the one that matches your deployment. Special circumstances should be discussed with a Pegasus Imaging representative.

For more information on Run Time licensing, see the Pegasus Imaging website for more detailed information regarding Run Times and Deployment Licensing.

See Also

www.PegasusImaging.com | Getting Support and Samples | Development Mode | License Agreement | Distributing with Your ActiveX Application


License Agreement

Pegasus Imaging Corporation

SOFTWARE LICENSE AGREEMENT

GRANT OF LICENSE

This Pegasus Imaging Corporation ("PEGASUS") Agreement ("License") permits Licensee ("LICENSEE") the right to use one copy of a properly registered Pegasus Development Toolkit ("TOOLKIT") for development purposes on any single computer, provided the TOOLKIT is in use on only one computer at any time. TOOLKIT is "in-use" on a computer when it loads into temporary memory (that is, RAM) or installed into the permanent memory (that is, hard disk, CD-ROM, or other storage device) of that computer.

REDISTRIBUTION OF THE TOOLKIT RUNTIMES

PEGASUS does NOT grant any run time licenses with the TOOLKIT purchase, except by specific exemptions described on our licensing web pages. For Run Time Licensing information, please visit our web site (www.PegasusImaging.com/licensing.htm), or contact our sales staff. Any rights to distribute TOOLKIT run times as part of the LICENSEE's software application or derivative works ("PRODUCT"), require you to acknowledge and uphold this License Agreement and agree to notify PEGASUS immediately of any changes in status or violations. In cases where PEGASUS grants the LICENSEE a right to use, reproduce, display or otherwise distribute or transfer copies of TOOLKIT run times, LICENSEE agrees and affirms the following:

a) LICENSEE is not using PEGASUS' name, logo, or trademarks to market PRODUCT without prior written approval of PEGASUS.

b) LICENSEE agrees to indemnify, hold harmless and defend PEGASUS from and against any claims or lawsuits, including attorney's fees, that arise or result from the use or distribution of PRODUCT.

c) Only the TOOLKIT run times can be distributed. Distribution of the TOOLKIT development kit, documentation, source code, or the distribution unlock codes, is a violation of this agreement.

d) LICENSEE includes a statement substantially similar to the following within derivative work's documentation and about box: "This product contains portions of imaging code owned by Pegasus Imaging Corporation, Tampa, FL, (www.PegasusImaging.com). ALL RIGHTS RESERVED."

If ANY of the above terms are not applicable to LICENSEE'S situation, or any of the above cannot be complied with, or LICENSEE needs modifications to this license, for any reason; then LICENSEE shall obtain an expanded direct license from PEGASUS for derivative works, (available by phone at: 813-875-7575, x321, by e-mail at: Sales@jpg.com.

PEGASUS reserves the right to charge the LICENSEE up to ten times the normal license price for the use of each unlicensed copy of PRODUCT. The license granted herein and all of your rights to use or maintain possession of TOOLKIT shall terminate immediately upon breach of any material provisions of this Agreement.

This license grants rights to LICENSEE for only the PEGASUS code (TOOLKIT) mentioned above and does not convey any other rights of use or distribution to PEGASUS technology.

COPYRIGHT

The Software is owned by PEGASUS or Pegasus Imaging Corporation and is protected by United States copyright laws and international treaty provisions. LICENSEE may not remove or alter the copyright notice from any copy of the Software or any copy of the written materials, accompanying the Software.

OTHER RESTRICTIONS

This PEGASUS License Agreement is LICENSEE's proof of license to exercise the rights granted herein and must be retained by LICENSEE. LICENSEE may not rent, lease or transfer TOOLKIT or parts thereof. LICENSEE may not reverse engineer, decompile or disassemble TOOLKIT.

NO WARRANTY

ANY USE BY LICENSEE OF THE SOFTWARE IS AT THE LICENSEE'S OWN RISK. THE SOFTWARE IS PROVIDED FOR USE ONLY WITH WINDOWS PRODUCTS AND RELATED APPLICATION SOFTWARE AND/OR HARDWARE PRODUCTS. THE SOFTWARE IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY LAW, PEGASUS DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. PEGASUS IS NOT OBVLIGATED TO PROVIDE ANY UPDATES TO THE SOFTWARE.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES

In no event shall PEGASUS be liable for any damages whatsoever (including, without limitation, incidental, direct, indirect and consequential damages, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use or inability to use this PEGASUS product, even if PEGASUS has been advised of the possibility of such damages. Because some states/countries do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to LICENSEE.

INDEMNIFICATION BY LICENSEE

If LICENSEE distributes TOOLKIT in violation of this Agreement, LICENSEE agrees to indemnify, hold harmless and defend PEGASUS and its suppliers from and against any claims or lawsuits, including attorney's fees that arise or result from the use or distribution of TOOLKIT in violation of this Agreement.

This Agreement is governed by the laws of the State of Florida. The program and data contained in this TOOLKIT Product are provided with Restricted Rights. Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in FAR 52.227-14 (Alternate III) or subparagraph (c)(1)(II) of the rights in technical data and computer software clause at 252.227-7013. Manufacturer is Pegasus Imaging Corporation, 4001 Riverside Drive, Tampa, FL, 33603.

For questions concerning this Agreement, or to contact PEGASUS for any reason, please contact Pegasus Imaging Corporation by phone at 1-813-875-7575 x321 or email Sales@JPG.com.

See Also

Trial Mode | Development Mode | Run Time Licensing | Distributing with Your ActiveX Application


Verify You Are Using the Latest Service Pack

Service pack updates will not overwrite paid licensing. Your paid licensing will continue to work and you will not be required to re-enter your purchased registration codes. Service pack updates do not include any changes that might "break" previously developed and/or deployed code.

Verify Latest Development Components

To verify you are using the latest version of a Pegasus Imaging Development Component or Components, please use the PegConnect utility program. Please note that a Help File for each product may be found on the Start Bar under Pegasus, or in C:\Windows\Help.

PegConnect is installed by all component product installers and is accessible through the Windows Start menu:

Start | Programs | Pegasus Imaging | Common | Utilities

PegConnect Allows You To:

  1. Check with Pegasus Imaging via online connection and verify that the installed version of the component includes all the most recent updates
  2. Update to the latest version automatically with your permission
  3. Determine if a control is registered or unregistered on the machine
  4. Easily change the registration status from registered to non-registered, or non-registered to registered

Alternatively, you can see the currently released product build numbers at www.PegasusImaging.com/latestbuilds.htm.

If you require further assistance or have questions or comments, please see the topic on Getting Support for more detailed information.

See Also

Getting Support and Samples | Installing on a Development Machine


Distributing with Your ActiveX Application

Distributing ThumbnailXpress™

Check for Proper Licensing and Unlock Codes

ThumbnailXpress contains a locking mechanism that does not permit you to distribute applications created with evaluation versions of ThumbnailXpress. Prior to distributing an application that utilizes ThumbnailXpress, you must purchase and enable run-time licensing. If the application will be delivered on the web, you must also enable web application licensing.

DLL Files to Distribute

Required

  • Distribute the appropriate assembly DLL file with applications using the ThumbnailXpress Product:

PegasusImaging.ActiveX.ThumbnailXpress2.dll - ActiveX component - ActiveX Control for thumbnail creation and manipulation.

Optional

  • The following files are optional and are only required if you are using other Pegasus Imaging products for image processing and/or image acquisition:

PegasusImaging.ActiveX.ImagXpress9.dll - ActiveX Windows Forms Control (Only required if ImageXpress® is used for image processing in your application)

PegasusImaging.ActiveX.PDFXpress2.dll - ActiveX Windows Forms Control (Only required if PDF Xpress™ is used for image acquisition in your application).

See Also

Getting Support and Samples | Installing on a Development Machine | Development Mode | Run Time Licensing | License Agreement | Verify You Are Using the Latest Service Pack


Definitions, Acronyms and Abbreviations

Pegasus Imaging Definitions, Acronyms, and Abbreviations

PIC: Pegasus Imaging Corporation

Thread-safe: An application using this component can use multiple controls running in the same process, where they don't interfere with each other. The thread creating the control owns the control and is the only thread that can interact with it.

Industry Definitions, Acronyms, and Abbreviations

BLOB: Binary Large Object


Set Cache Behavior

All thumbnail images are generated with unique IDs and are cached for rapid display access purposes. The application defines and manages desired caching behavior using the "Cache" properties:

  • The CacheFile and CacheFilePath properties return the name and location of the cache file.
  • The CacheDiskLimit and CacheMemoryLimit properties specify the maximum size of the cache.
  • To empty the Thumbnail Cache, call the EmptyCache method.
  • To flush the cache to disk, call the FlushCache method.
See Also

CacheDiskLimit Property | CacheFile Property | CacheFilePath Property | CacheMemoryLimit Property | EmptyCache Method | FlushCache Method


Set Threading Behavior

Threading in Image Generation

ThumbnailXpress™ uses background image generation threads to improve responsiveness. At component start-up, ThumbnailXpress determines an initial count of background threads based on the host computer's capabilities. To keep operation responsive, ThumbnailXpress monitors the time consumed by a background thread and will start an additional thread when it has determined that a particular thread's image retrieval/generation time has exceeded the user settable ThreadStartThreshold property value.

By default, the value of this property is 3000 milliseconds (3 seconds). Additionally, ThumbnailXpress will abandon a thread, and free up its resources, if its retrieval/generation time has exceeded the ThreadHungThreshold property value. By default, the value of this property is 9000 milliseconds (9 seconds). As noted, when needed, ThumbnailXpress will create additional threads but will not allow the count of concurrent background threads to exceed the value specified by the MaximumThreadCount property.

The default value for the MaximumThreadCount property is 2 times the calculated initial count of background threads. The allowable value range for this property is 1 thru 32. Too many background threads quickly degrade performance and a good rule of thumb for all these threading properties is unless there is good reason to change, leave them at the default values. For applications that don’t desire an image loading attempt be abandoned and want to allow, for example, the potential of very slow internet access for retrieving images, set the ThreadHungThreshold property to a higher value.

Multiple ThumbnailXpress Instances

It's important not to run one instance of the control from multiple application threads, instead, create a separate instance of the control for each application thread. For a well-presented primer on threading, see Microsoft's "What Every Dev Must Know About Multithreaded Apps" at the Visual Studio.NET Developer Center (08/05, msdn.microsoft.com/msdnmag/)

The Performance tab in the Microsoft Windows Task Manager dialog box (hold Ctrl, Alt and Delete) displays multiple CPU Usage History boxes for both logical and physical CPUs. The image below shows a single CPU with two logical CPU's.

See Also

ThreadStartThreshold Property | ThreadHungThreshold Property | MaximumThreadCount Property


Set Thumbnail Appearance

The application controls the appearance of thumbnails in the display using properties in ThumbnailXpress™.

ThumbnailXpress Control Window Appearance

The appearance of the ThumbnailXpress control window is controlled as follows:

  • The background color for the control (BackColor)
  • The foreground color for the control (ForeColor)
  • The style of the border of the control (BorderStyle)
  • The margins of the control (BottomMargin, TopMargin, RightMargin, LeftMargin)
  • Whether the scrollbar is visible (ShowScrollbar)
  • The scrollbar direction (ScrollDirection)

Thumbnail Cell Appearance

The appearance of each individual thumbnail is defined using the "Cell" properties. The following can be specified:

  • The thumbnail border color and width (CellBorderColor, CellBorderWidth)
  • The dimensions of each thumbnail (CellHeight, CellWidth)
  • The spacing between each thumbnail (CellHorizontalSpacing, CellVerticalSpacing)
  • The color of the fill between thumbnails (CellSpacingColor)
  • The background color of selected thumbnails (SelectBackColor)
  • Whether a placeholder image is drawn while waiting for the thumbnail to be generated (ShowImagePlaceholders)

Thumbnail Descriptor Appearance

The appearance of each thumbnail's descriptor is specified using the "Descriptor" properties:

  • The alignment of the descriptor (DescriptorHorizontalAlignment, DescriptorVerticalAlignment)
  • The background color of the text in the descriptor (TextBackColor)
  • The font used for the text (Font)
  • The format of the descriptor (DescriptorDisplayMethod)

Set Icon Display Behavior

ThumbnailXpress provides the application with the option to display a pre-image generation "placeholder" icon while the image is being loaded and the thumbnail generated. When ShowImagePlaceholders is set to true, a placeholder image is drawn while waiting for the thumbnail to be generated and a cancel icon is displayed if the generation is cancelled.

The thumbnail image is being generated. Once generated, this icon is replaced with the thumbnail image.

The thumbnail image loading was cancelled.

The application can also specify the desired action to take when an error occurs during image loading or thumbnail generation. ThumbnailXpress can either display an error icon to indicate that the thumbnail did not load, or simply abort the loading process without displaying any icon in the control window. When ErrorAction is set to UseErrorIcon, the following icons are displayed, depending on the error encountered:

The thumbnail image was not loaded, due to an error.

The thumbnail image was not loaded, because the image filetype is not supported by ThumbnailXpress.

The thumbnail image was not loaded, because the image filetype was unknown to ThumbnailXpress.

TThe thumbnail image was not loaded, because the required software is not licensed by the application.


Glossary Item Box

Enabled Property | SelectionMode Property | InterComponentThumbnailDragDropEnabled Property | IntraComponentThumbnailDragDropEnabled Property | EnableAsDragSourceForExternalDragDrop Property | EnableAsDropTargetForExternalDragDrop Property | DblClickDirectoryDrillDown Property

See Also PegasusImaging.ActiveX.ThumbnailXpress2 Send comments on this topic.

Set User Interaction Behavior

The application end-user can navigate, select, and move thumbnails within the ThumbnailXpress™ control, between multiple ThumbnailXpress controls, and between multiple applications. The application establishes how the user will interact with the control, by setting the following ThumbnailXpress properties:

Enable User Interaction

ThumbnailXpress v2 enables end-user navigation of thumbnails via user-generated events. To enable the ThumbnailXpress control to handle user-generated events, set Enabled property.

Set Selection Behavior

The SelectionMode property specifies the behavior that is desired when an end-user selects a thumbnail.

Set Drag and Drop Behavior

To enable the end-user to drag and drop thumbnails within the ThumbnailXpress component, set IntraComponentThumbnailDragDropEnabled.

To enable the end-user to drag and drop thumbnails between multiple ThumbnailXpress controls, set InterComponentThumbnailDragDropEnabled.

To enable the end-user to drag thumbnails from the ThumbnailXpress component to another application, set EnableAsDragSourceForExternalDragDrop.

To enable the end-user to drag thumbnails from other applications into the ThumbnailXpress component, set EnableAsDropTargetForExternalDragDrop.

Set Directory Drill Down Behavior

If DblClickDirectoryDrillDown is enabled, then when the end-user double clicks on a folder icon in the ThumbnailXpress component, the thumbnails of images within the directory will be displayed. This enables the end user to navigate through folder structures to locate thumbnails of interest.

See Also

Enabled Property | SelectionMode Property | InterComponentThumbnailDragDropEnabled Property | IntraComponentThumbnailDragDropEnabled Property | EnableAsDragSourceForExternalDragDrop Property | EnableAsDropTargetForExternalDragDrop Property | DblClickDirectoryDrillDown Property


Specify Loading and Rendering Options

Before loading any images, specify desired loading and rendering behavior for thumbnails as follows:

  • Set PreserveBlackEnabled, if desired, to darken lines in the thumbnail image. This is useful to improve readability / recognizability of the thumbnail image to the end-user.
  • Set CameraRawEnabled, if desired, to specify whether the control will examine the image on loading to determine if the image data is in a camera raw format, and to identify that format. To optimize performance, CameraRawEnabled should be set to false when not needed.
CameraRawEnabled is only applied when the images are loaded from a local file.
See Also

PreserveBlackEnabled Property | CameraRawEnabled Property


Generate Thumbnails from File

ThumbnailXpress™ provides the user with the ability to generate thumbnails from one or more pages of a local or remote file.

Generate Thumbnails from a Multi-page File

Call AddFileItems to load images and generate thumbnails from all pages of a multipage file. When AddAllPages is set to true, all pages in the multipage file are loaded. When AddAllPages is set to false, only the first page is loaded. The thumbnail icon will show a "+", to indicate that the thumbnail is the first page in a multi-page file.

When AddFileItems is called to generate thumbnails, descriptors and user tags are not assigned. These can be specified after the thumbnail items are added to the list, by calling SetItemDescriptor and SetItemFilename.

Generate One Thumbnail from a Specified Page in a File

Call InsertItem to load an image from a specified page in a specified file, and generate the thumbnail from the image. The application can specify the location in the thumbnail list to insert the thumbnail, the descriptor to be displayed with the thumbnail, and a user tag to record application-specific information about the thumbnail.

If the file has a known status and type, the application can specify these (for example, specify ThumbnailStatus as validated and ThumbnailType as PDF). This optimizes the performance in loading the file, as ThumbnailXpress does not have to validate the file type. If the Verify parameter is set to true, ThumbnailXpress v2 will check to make sure that the specified local file has a valid file name (e.g. it exists and can be understood by the control).

If the file name indicates a remote path, the Verify parameter is ignored.

Cancel Thumbnail Generation

Calling Cancel will cancel all pending thumbnail generation requests. To restore a generation request that had been canceled, call ResetCanceledItem.

See Also

AddFileItems Method | SetItemDescriptor Method | SetItemFilename Method | InsertItem Method | Cancel Method | ResetCanceledItem Method


Generate Thumbnails from Directory

ThumbnailXpress™ v2 enables loading of images from a directory, based on specified filter criteria. One or more filters can be defined, enabling customized search and display of thumbnail images. ThumbnailXpress keeps a list of filters that have been defined, and applies all enabled filters when loading images from a directory.

Add or Delete a Filter

To add a filter, call AddFilterItem, specifying a name for the filter. An index is returned, uniquely identifying the filter in the list. The filter's name can be modified at any time by calling SetFilterName. The filter's index can be found at any time by calling FindFilterItemIndex and specifying the filter name. To delete all filters from the ThumbnailXpress control, call ClearFilters.

Assign Filter Criteria

To assign search criteria to a filter, first call SetFilterType to specify the type of filter being defined. Filter types include:

  • Filtering based on file name
  • Filtering based on file attributes (e.g. include hidden files, include parent directory, include subdirectories)
  • Filtering based on File creation date
  • Filtering based on File modification date
  • Filtering based on File size
  • Filtering to include only files that are supported by ThumbnailXpress

Based on the filter type, additional filter criteria will be applied:

If filtering based on file name or directory name:

  • Call SetFilterCaseSensitive to indicate wether the search should consider the font case.
  • Call SetFilterFilenamePattern to specify the name or wildcard expressions to search for. This includes specifying filename extensions, such as .jpg or .tiff.
  • Call SetFilterMatchAppliestoDirectory to specify whether the FilterFilenamePattern should apply to directory names as well.

If filtering based on file attributes:

  • Call SetFilterIncludeHidden to specify whether hidden files should be included in the search.
  • Call SetFilterIncludeParentDirectory to specify whether a file's parent directory should be included in the search.
  • Call SetFilterIncludeSubDirectory to specify whether sub-directories should be included in the search.

If filtering based on creation or modification date:

  • Call SetFilterComparison, to specify the comparison criteria for the filter (e.g. less than, greater than, equal).
  • Call SetFilterDate to specify the date to compare against.

If filtering based on file size:

  • Call SetFilterComparison, to specify the comparison criteria for the filter (e.g. less than, greater than, equal).
  • Call SetFilterSize to indicate the maximum size files to include.

Generate Thumbnails from Files Within a Directory

Filters are applied when loading images from a directory into the ThumbnailXpress control. All enabled filters will be applied to determine which images to load. Call SetFilterEnabled to indicate the filters to use. If no filters are enabled, then all folders and files will be loaded.

Call AddDirectoryItems to load images and generate thumbnails from all files in the specified directory. All enabled filters are applied, and only items that meet all filter criteria are loaded. A thumbnail image is then generated for each loaded image, and cached. When the control paints, the thumbnail images are displayed.

If the directory contains multi-page files, only the first page of the file is loaded. The thumbnail icon will show a "+" to indicate that the thumbnail is the first page in a multi-page file. Thumbnails of additional pages within the file can be added by calling AddFileItems.


Generate Thumbnails from PDF File

When PDF Xpress™ is installed, ThumbnailXpress™ can generate thumbnails from PDF files, locally stored in a file or directory. ThumbnailXpress v2 will work seamlessly with either PDF Xpress v1 or PDF Xpress v2. To specify the version of PDFXpress to use, set the UsePDFXpress Property and/or the UsePDFXpress2 Property. If both are set to true, PDFXpress2 will be used. If both are set to false, thumbnails will not be generated from PDF files.

PDF files must be located in a local file or directory to enable thumbnail generation.
See Also

UsePDFXpress Property | UsePDFXpress2 Property


Generate Thumbnails from Memory

ThumbnailXpress™ v2 enables the application to generate thumbnails of images stored in a memory buffer or a user supplied image memory 'BLOB'.

Generate Thumbnails from Memory

Call InsertItemFromMemory to load an image from an image memory buffer, and generate the thumbnail from the image. The LoadFromMemory event may optionally be used to supply the memory buffer. The application can specify the location in the thumbnail list to insert the thumbnail, the descriptor to be displayed with the thumbnail, and a user tag to record application-specific information about the thumbnail. If the thumbnail image data has a known status and type, the application can specify these (for example, specify ThumbnailStatus as validated and ThumbnailType as PDF). This optimizes the performance in loading the file, as ThumbnailXpress does not have to validate the file type.

Generate Thumbnails from BLOB

Call InsertItemFromBlob to load an image from a user supplied image memory 'blob'. The LoadFromMemory event may optionally be used to supply the memory 'blob'. The application can specify the location in the thumbnail list to insert the thumbnail, the descriptor to be displayed with the thumbnail, and a user tag to record application-specific information about the thumbnail. If the thumbnail image data has a known status and type, the application can specify these (for example, specify ThumbnailStatus as validated and ThumbnailType as PDF). This optimizes the performance in loading the file, as ThumbnailXpress does not have to validate the file type.

See Also

InsertItemFromMemory Method | InsertItemFromBlob Method | LoadFromMemory Event


Get Thumbnail Information

All thumbnail images are generated with unique IDs and are cached for rapid display access purposes. Use the "GetItem" methods to acquire information about a thumbnail, including the name of the file from which the thumbnail was generated (GetItemFilename) and the page within the file that the thumbnail represents (GetItemPage).

The thumbnail image can be acquired as an HBitmap (GetItemHBitmap), HDib (GetItemHDib), or Picture object (GetItemPicture).

Note: Information about the thumbnail will not be available until generation of the thumbnail is complete. Use the ItemComplete event to ensure that generation is complete prior to checking thumbnail information.

See Also

GetItemFilename Method | GetItemPage Method | GetItemHBitmap Method | GetItemHDib Method | GetItemPicture Method | ItemComplete Event


Display Thumbnails

The control will update on each paint, to reflect the current state of the thumbnails. When adding multiple thumbnails, it may be beneficial to disable painting to reduce redraw flicker. To disable paint, call BeginUpdate prior to loading any images. Then, load images and generate thumbnails. You can query the status of the thumbnail by calling GetItemStatus. When all thumbnails have been generated and are ready for display, call EndUpdate. Painting will resume, displaying all the generated thumbnails (or error icons, if generation failed).

See Also

BeginUpdate Method | GetItemStatus Method | EndUpdate Method


Delete Thumbnails

A thumbnail can be removed from the thumbnail list by calling DeleteItem. Call DeleteItems to remove all thumbnails from the list. The removed thumbnails will not be displayed on the next paint.

See Also

DeleteItem Method | DeleteItems Method


Modify Thumbnails

Modify Thumbnail Properties

A thumbnail's properties can be modified, to include a different item descriptor (SetItemDescriptor) or user information (SetItemUserTag).

Modify the Thumbnail Image

If the thumbnail image was loaded from file, the thumbnail image can be replaced by a different page in the file using the SetItemPage method. This method generates the thumbnail from the selected page in the file, then replaces the existing thumbnail with the new image.

If the thumbnail image was loaded from file, the thumbnail image can be replaced by a page in a different file using the SetItemFilename method. This method generates the thumbnail from the new file (page number remains unchanged), then replaces the existing thumbnail with the new image.

If the thumbnail represents a page in a CAD file, the thumbnail image can be replaced by a different layout in the file using the SetItemCadLayoutNumber method.

See Also

SetItemDescriptor Method | SetItemUserTag Method | SetItemPage Method | SetItemFilename Method | SetItemCadLayoutNumber Method


Manage End User Navigation

ThumbnailXpress™ v2 enables end-user navigation of thumbnails via standard Windows control events within the ThumbnailXpress object. To specify how the thumbnailXpress control interprets end-user actions, be sure to set user interaction behavior.

Verify that the Enabled property has been set, to enable the ThumbnailXpress control to handle user-generated events.

End-User Scrolling

The application end-user can scroll through thumbnails in the thumbnail control window. Scrolling behavior is defined by setting user interaction behavior. Alternatively, the end-user may use the arrow, page up/down, home, and end keys to navigate thumbnails within the control window.

End-User Selecting

The SelectionMode property specifies the behavior that is desired when an end-user selects a thumbnail. The application end-user selects thumbnail items using a combination of mouse click with control and shift keys.

End-User Drag and Drop

The application end-user can drag and drop thumbnails within the ThumbnailXpress control, between multiple ThumbnailXpress controls, and between the ThumbnailXpress control and other applications, by holding the mouse down over a thumbnail, moving the mouse, then releasing the mouse in the desired location. Set the user interaction behavior to specify desired support for these features.

End-User Directory Drill Down

If DblClickDirectoryDrillDown is enabled within the ThumbnailXpress object, then when the end-user double clicks on a folder icon in the ThumbnailXpress component, the thumbnails of images within the directory will be displayed. This enables the end user to navigate through folder structures to locate thumbnails of interest.

See Also

Enabled Property | SelectionMode Property | DblClickDirectoryDrillDown Property


Navigate Programmatically

Scrolling

Scrolling the thumbnail control can be controlled programmatically by calling the ScrollItems method to specify the scrolling action and magnitude. The view changes to reflect the requested scrolling. Alternatively, call EnsureVisible to programmatically scroll the thumbnail control until a specified thumbnail is in view.

Selecting

Individual thumbnails can be selected programmatically by calling the SelectItem method and specifying the thumbnail to select. The SelectedItemCount reflects the number of thumbnails that have been selected, both programmatically as well as by end-user. The ClearSelection method restores all thumbnails to an unselected state. DeleteSelectedItem is called to delete a selected item.

See Also

ScrollItems Method | EnsureVisible Method | SelectItem Method | SelectedItemCount Property | ClearSelection Method | DeleteSelectedItem Method


Save Thumbnails

ThumbnailXpress™ has no saving capabilities; only ImagXpress® can be used to save thumbnail images.


Print Thumbnails

ThumbnailXpress™ has no printing capabilities; only ImagXpress® or PrintPRO™ can be used to print thumbnail images.


Debug

Generate a Debug Log

To generate a debug log file, set Debug to true. The log file is kept at the location specified by DebugLogFile. Set the DebugErrorLevel to Development or Detailed to indicate the level of detail to be logged.

Errors

The following errors can be raised or returned by ThumbnailXpress™ properties and methods:

16000 - No Error
16001 - Unknown Error
16002 - Invalid parameter used
16003 - The item is out of range
16004 - System error
16005 - File error
16006 - Internal error
16007 - Unsupported function
16008 - Imaging error
16009 - PDF error
16010 - Illegal Operation
16011 - License not set

See Also

Getting Support and Samples | ThumbnailXpress Object


See Also

ThumbnailXpress Members

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ThumbnailXpress Object

Description

Pegasus Imaging ThumbnailXpress Control v2.0

For a list of all members defined in this module, see ThumbnailXpress members.

Object Model

See Also

ThumbnailXpress Members


ThumbnailXpress Overview

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ThumbnailXpress Object Members

Public Methods

Public Method AboutBox | Displays a dialog box with the Thumbnail version and copyright information.
Public Method AddDirectoryItems | Adds the items in the specified directory to the list of thumbnail items
Public Method AddFileItems | Adds the items in the specified file to the list of thumbnail items.
Public Method AddFilterItem | Adds a new filter to the end of the filter list.
Public Method BeginUpdate | Disables control repainting to eliminate flicker when making multiple changes to the list of thumbnail items.
Public Method Cancel | Cancels all pending thumbnail item generation requests.
Public Method ClearFilters | Removes all existing filters from the list.
Public Method ClearSelection | Clears the current selection.
Public Method CreateCtlWindow | Provides programmatic creation of a ThumbnailXpress control window.
Public Method DeleteItem | Deletes the specified item from the list of thumbnail items.
Public Method DeleteItems | Deletes all items from the list of thumbnail items.
Public Method DeleteSelectedItem | Deletes the specified selected item from the list of thumbnail items.
Public Method DestroyCtlWindow | Provides programmatic destruction of a ThumbnailXpress control window.
Public Method EmptyCache | Clears all items from the memory and disk cache.
Public Method EnableEvent | Enables or disables the raising of individual thumbnail custom events.
Public Method EndUpdate | Enables the control repainting after calling the BeginUpdate method.
Public Method EnsureVisible | Scrolls the list of thumbnail items if necessary to ensure the specified item is visible.
Public Method FindFilterItemIndex | Finds the list index of a filter specified by the filter name.
Public Method FlushCache | This method will force cache items which were in memory to be written to the disk cache, if present.
Public Method GetDisplayRect | Gets the display rectangle of the control in pixels.
Public Method GetFilterCaseSensitive | Gets the filename matching case sensitivity enabled value for the specified filter.
Public Method GetFilterComparison | Gets the comparison criteria for the specified filter.
Public Method GetFilterDate | Gets the date criteria for the specified filter.
Public Method GetFilterEnabled | Gets the enabled status of the specified filter.
Public Method GetFilterFilenamePattern | Gets the filename matching pattern criteria for the specified filter.
Public Method GetFilterIncludeHidden | Gets the file attributes include hidden files enabled value for the specified filter.
Public Method GetFilterIncludeParentDirectory | Gets the file attributes include parent directory enabled value for the specified filter.
Public Method GetFilterIncludeSubDirectory | Gets the file attributes include sub directory enabled value for the specified filter.
Public Method GetFilterMatchAppliesToDirectory | Gets name pattern applies to directory enabled value for the specified filter.
Public Method GetFilterName | Gets the name for the filter at the specified filter index.
Public Method GetFilterSize | Gets the file size criteria for the specified filter.
Public Method GetFilterType | Gets the type for the specified filter.
Public Method GetIndexOfSelectedItem | Gets the index in the list of thumbnail items for the specified selected thumbnail item.
Public Method GetItemCadLayoutCount | Gets the CAD layout count for the specified thumbnail item.
Public Method GetItemCadLayoutNumber | Gets the CAD layout number for the specified thumbnail item.
Public Method GetItemDescriptor | Gets the descriptor for the specified thumbnail item.
Public Method GetItemErrorCode | Gets the error code for the specified thumbnail item.
Public Method GetItemErrorString | Gets the error string for the specified thumbnail item.
Public Method GetItemFilename | Gets the filename for the specified thumbnail item.
Public Method GetItemHBitmap | Gets the HBITMAP handle for the specified thumbnail item image.
Public Method GetItemHDib | Gets the DIB handle for the specified thumbnail item image.
Public Method GetItemIndexFromPoint | Gets the index for the thumbnail item at the specified point.
Public Method GetItemPage | Gets the page number for the specified thumbnail item.
Public Method GetItemPageCount | Gets the page count for the specified thumbnail item.
Public Method GetItemPicture | Gets the Picture object for the specified thumbnail item image.
Public Method GetItemStatus | Gets the status for the specified thumbnail item.
Public Method GetItemType | Gets the type for the specified thumbnail item.
Public Method GetItemUserTag | Gets the variant user data associated with the specified thumbnail item.
Public Method InsertFilterItem | Inserts a new filter in the filter list at the specified index.
Public Method InsertItem | Inserts the specified item into the list of thumbnail items.
Public Method InsertItemFromBlob | Inserts an image into the list of thumbnail items by way of a user supplied image memory 'Blob'.
Public Method InsertItemFromMemory | Inserts an image into the list of thumbnail items by way of a user supplied image memory buffer.
Public Method MoveCtlWindow | Provides programmatic relocation or possible resizing of a ThumbnailXpress control.
Public Method Refresh | Refreshes the list of thumbnail items.
Public Method RemoveFilterItem | Removes ths filter specified by the filter list name.
Public Method RemoveFilterItemByIndex | Removes this filter specified by the filter list index.
Public Method ResetCanceledItem | Resets canceled status for a single canceled item or for all canceled items, allowing them to be attempted to be re-generated.
Public Method ScrollItems | Provides programmatic scrolling of the thumbnail item list.
Public Method SelectItem | Selects (or deselects) the specified thumbnail item.
Public Method SetFilterCaseSensitive | Sets the filename matching case sensitivity enabled value for the specified filter.
Public Method SetFilterComparison | Sets the comparison criteria for the specified filter.
Public Method SetFilterDate | Sets the date criteria for the specified filter.
Public Method SetFilterEnabled | Sets the enabled status of the specified filter.
Public Method SetFilterFilenamePattern | Sets the filename matching pattern criteria for the specified filter.
Public Method SetFilterIncludeHidden | Sets the file attributes include hidden files enabled value for the specified filter.
Public Method SetFilterIncludeParentDirectory | Sets the file attributes include parent directory enabled value for the specified filter.
Public Method SetFilterIncludeSubDirectory | Sets the file attributes include sub directory enabled value for the specified filter.
Public Method SetFilterMatchAppliesToDirectory | Sets name pattern applies to directory enabled value for the specified filter.
Public Method SetFilterName | Renames an existing filter.
Public Method SetFilterSize | Sets the file size criteria for the specified filter.
Public Method SetFilterType | Sets the type for the specified filter.
Public Method SetItemCadLayoutNumber | Sets the CAD layout number for the specified thumbnail item.
Public Method SetItemDescriptor | Set the descriptor text of the thumbnail item.
Public Method SetItemFilename | Sets the filename for the specified thumbnail item.
Public Method SetItemPage | Sets the page number for the specified thumbnail item.
Public Method SetItemUserTag | Sets the variant user data associated with the specified thumbnail item.
Public Method SetIXLicenseCodes | Sets the ImageXpress license codes.
Public Method SetLoadFromMemoryEventItemImageBlob | Provides for supplying a Variant containing an image memory blob during an item LoadFromMemory event.
Public Method SetLoadFromMemoryEventItemImageBuffer | Provides for supplying a Variant containing an image memory buffer during an item LoadFromMemory event.
Public Method SetPDFXLicenseCodes | Sets the PDFXpress license codes.
Public Method ShowScrollBar | Shows or hides the scroll bar.
Public Method UnlockRuntime | Sets the runtime license for the control.
Public Method UnlockWeb | Sets the web license for the control.

Public Properties

Public Property BackColor | Gets and sets the background color for the control.
Public Property BorderStyle | Gets or sets the border style.
Public Property BottomMargin | Gets or sets the bottom margin in pixels.
Public Property CacheDiskLimit | Gets or sets access to the disk cache limit.
Public Property CacheFile | Gets or sets access to the name of the cache file.
Public Property CacheFilePath | Gets or sets the cache file path.
Public Property CacheMemoryLimit | Gets or sets access to the memory cache limit.
Public Property CameraRawEnabled | Gets or sets access to enabling or disabling CameraRaw image format support during thumbnail image generation.
Public Property CellBorderColor | Gets or sets access to the border color of the cells in the control.
Public Property CellBorderWidth | Gets or sets access to the width of the cells in the control.
Public Property CellHeight | Gets or sets access to the height of the cells in the control.
Public Property CellHorizontalSpacing | Gets or sets access to the horizontal spacing between cells.
Public Property CellSpacingColor | Gets or sets the cell spacing color.
Public Property CellVerticalSpacing | Gets or sets access to the vertical spacing between cells.
Public Property CellWidth | Gets or sets access to the width of the cells in the control.
Public Property DblClickDirectoryDrillDown | Gets or sets an indicator whether mouse double-clicks over directory folder icons should display the images in the clicked directory.
Public Property Debug | Gets or sets an indicator to write debug information into the DebugLogFile.
Public Property DebugErrorLevel | Gets or sets access to the level of detail written to the error log.
Public Property DebugLogFile | Gets or sets access to the log file location.
Public Property DescriptorDisplayMethod | Gets or sets access to the method allowing selection of the source of descriptor text content.
Public Property DescriptorHorizontalAlignment | Gets or sets the horizontal alignment of the descriptor text.
Public Property DescriptorVerticalAlignment | Gets or sets the vertical alignment of the descriptor text.
Public Property EnableAsDragSourceForExternalDragDrop | Gets or sets an indicator whether drag and drop source thumbnails is enabled on other applications.
Public Property EnableAsDropTargetForExternalDragDrop | Gets or sets an indicator whether drag and drop target is enabled for other applications to drag files onto those files as thumbnail images.
Public Property Enabled | Gets and sets a value that determines if ThumbnailXpress responds to user-generated events.
Public Property ErrorAction | Gets or sets the action to take on erros when adding thumbnail items.
Public Property ErrorCode | Gets the error code from the most recent call.
Public Property EvaluationMode | Gets or sets the type of evaluation mode.
Public Property Font | Gets or sets the font for the ThumbnailXpress control.
Public Property ForeColor | Gets or sets the foreground color for the ThumbnailXpress control Descriptor text.
Public Property FTPPassword | Gets or sets the FTP password that is used for accessing files on the Internet when a thumbnail item's Filename property is set to an ftp or http address.
Public Property FTPUserName | Gets or sets the FTP user name that is used for accessing files on the Internet when a thumbnail item's Filename property is set to an ftp or http address.
Public Property HWND | A stock, read-only property which is a handle to a window.
Public Property InterComponentThumbnailDragDropEnabled | Gets or sets an indicator whether inter-component thumbnail drag drop moved or copied items are enabled.
Public Property IntraComponentThumbnailDragDropEnabled | Gets or sets an indicator if intra-component thumbnail drag drop move operations are enabled.
Public Property ItemCount | Gets the number of thumbnail items from the thumbnail items list.
Public Property IXLicenseEdition | Gets or sets the ImagXpress license edition.
Public Property LeftMargin | Gets or sets the left margin in pixels.
Public Property MaximumThreadCount | Gets or sets the maximum thread count.
Public Property MaximumThumbnailBitDepth | Gets or sets the maximum thumbnail bit-depth.
Public Property PreserveBlackEnabled | Gets or sets whether preserve black is enabled.
Public Property ProxyServer | Gets or sets a proxy server name or IP address.
Public Property RaiseExceptions | The RaiseExceptions property controls how errors are reported to the application.
Public Property RightMargin | Gets or sets the right margin in pixels.
Public Property ScrollDirection | Gets or sets the scroll direction.
Public Property SelectBackColor | Gets or sets the cell background color used for selected thumbnail items.
Public Property SelectedItemCount | Gets the number of selected thumbnail items.
Public Property SelectionMode | Gets or sets the selection mode.
Public Property ShowImagePlaceholders | Gets or sets whether a placeholder image is drawn while waiting for the thumbnail to be generated.
Public Property TextBackColor | Gets or sets the descriptor text background color.
Public Property ThreadHungThreshold | Gets or sets the maximum amount of time (in milliseconds) a thread will spend generating an image representing a thumbnail item, before it should abandon the generation.
Public Property ThreadStartThreshold | Gets or sets the amount of time (in milliseconds) a thread will spend generating an image representing a thumbnail item, before it should start an additional thread generating images representing thumbnail items.
Public Property TopMargin | Gets or sets the top margin in pixels.
Public Property TopVisibleItem | Gets the thumbnail item which is visible in the top-left corner of the control window.
Public Property UsePDFXpress | Gets or sets whether to use PDF Xpress v1.
Public Property UsePDFXpress2 | Gets or sets whether to use PDF Xpress v2.
Public Property VisibleColumnCount | Gets and sets the number of columns of cells which are viewable in the control window.
Public Property VisibleRowCount | Gets or sets the number of rows of cells which are viewable in the control window.

Events

Public Event Click | Called when a left mouse button is pressed.
Public Event DoubleClick | Called when a left mouse button is double clicked.
Public Event Error | Called when an error occurs during generation or painting of a thumbnail item.
Public Event ItemComplete | Called when a thumbnail item's asynchronous image generation has been completed.
Public Event KeyDown | Called on a key down action.
Public Event KeyPress | Called on a key press action.
Public Event KeyUp | Called on a key up action.
Public Event LoadFromMemory | Called when loading from memory.
Public Event MouseDown | Called on a mouse down action.
Public Event MouseMove | Called on a mouse move action.
Public Event MouseUp | Called on a mouse up action.
Public Event Paint | Called when the thumbnail item is painted.
Public Event SelectionIndexChanged | Called when a thumbnail item is selected using the user interface.

See Also

ThumbnailXpress Overview


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

AboutBox Method

Description

Displays a dialog box with the Thumbnail version and copyright information.

Syntax

Public Sub AboutBox()

See Also

ThumbnailXpress Object


ThumbnailXpress Object | MaximumThreadCount Property | ThreadHungThreshold Property | ThreadStartThreshold Property

DirectoryMask

Name of the directory for which to generate one or more thumbnails.

InsertIndex

Index at which to insert the new thumbnail(s).

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

AddDirectoryItems Method

Description

Adds the items in the specified directory to the list of thumbnail items

Syntax

Public Sub AddDirectoryItems( _
   ByVal DirectoryMask As String, _
   ByVal InsertIndex As Long _
)

Parameters

DirectoryMask

Name of the directory for which to generate one or more thumbnails.

InsertIndex

Index at which to insert the new thumbnail(s).

Remarks

When thumbnail items are added to the thumbnail item collection using the AddDirectoryItems method, the thumbnail item bitmaps will be generated asynchronously by one or more threads.

See Also

ThumbnailXpress Object | MaximumThreadCount Property | ThreadHungThreshold Property | ThreadStartThreshold Property


AddFileItems Method

ThumbnailXpress Object

Filename

A string value which represents the name of the file for which to generate one or more thumbnails.

InsertIndex

A long value which represents the index at which to insert the new thumbnail(s).

AddAllPages

A boolean value which is True if generating multiple thumbnails, one for each page in a multi-page file. Yet has no meaning for single-page files.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

AddFileItems Method

Description

Adds the items in the specified file to the list of thumbnail items.

Syntax

Public Sub AddFileItems( _
   ByVal Filename As String, _
   ByVal InsertIndex As Long, _
   ByVal AddAllPages As Boolean _
)

Parameters

Filename

A string value which represents the name of the file for which to generate one or more thumbnails.

InsertIndex

A long value which represents the index at which to insert the new thumbnail(s).

AddAllPages

A boolean value which is True if generating multiple thumbnails, one for each page in a multi-page file. Yet has no meaning for single-page files.

Remarks

If the AddAllPagesindicator is true, it causes the item to paint with a special bitmap overlaid on the image, indicating that the thumbnail item represents a multi-page file. For AddDirectoryItems, this value is always true, since it always adds only the first page from any file, even when there are multiple pages.

When thumbnail items add to the collection using the AddFileItems method, the thumbnail bitmaps generate asynchronously by one or more threads. For more information about controlling threads, see Threading Overview topic in the Getting Started section above.

See Also


ThumbnailXpress Object

Name
A string value which represents the name to refer to this filter by.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

AddFilterItem Method

Description

Adds a new filter to the end of the filter list.

Syntax

Public Function AddFilterItem( _
   ByVal Name As String _
) As Long

Parameters

Name
A string value which represents the name to refer to this filter by.

Return Type

A long value which represents the new filter index value.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

BeginUpdate Method

Description

Disables control repainting to eliminate flicker when making multiple changes to the list of thumbnail items.

Syntax

Public Sub BeginUpdate()

Remarks

Call EndUpdate() when done making changes to enable control repainting.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Cancel Method

Description

Cancels all pending thumbnail item generation requests.

Syntax

Public Sub Cancel()

See Also


ThumbnailXpress Object | AddFilterItem Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ClearFilters Method

Description

Removes all existing filters from the list.

Syntax

Public Sub ClearFilters()

See Also

ThumbnailXpress Object | AddFilterItem Method


ThumbnailXpress Object | SelectionMode Property | SelectedItemCount Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ClearSelection Method

Description

Clears the current selection.

Syntax

Public Sub ClearSelection()

See Also

ThumbnailXpress Object | SelectionMode Property | SelectedItemCount Property


CreateCtlWindow Method

ThumbnailXpress Object | DestroyCtlWindow Method | MoveCtlWindow Method

hParent
A long value which represents a handle to the parent object.
left
A long value which represents the left coordinate of the window to be created.
top
A long value which represents the top coordinate of the window to be created.
width
A long value which represents the width of the window to be created.
height
A long value which represents the height of the window to be created.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CreateCtlWindow Method

Description

Provides programmatic creation of a ThumbnailXpress control window.

Syntax

Public Sub CreateCtlWindow( _
   ByVal hParent As Long, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

hParent
A long value which represents a handle to the parent object.
left
A long value which represents the left coordinate of the window to be created.
top
A long value which represents the top coordinate of the window to be created.
width
A long value which represents the width of the window to be created.
height
A long value which represents the height of the window to be created.

See Also

ThumbnailXpress Object | DestroyCtlWindow Method | MoveCtlWindow Method


ThumbnailXpress Object

ItemIndex
Index of the thumbnail item to delete.
A long value which represents a zero-based index value of the item to delete.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DeleteItem Method

Description

Deletes the specified item from the list of thumbnail items.

Syntax

Public Sub DeleteItem( _
   ByVal ItemIndex As Long _
)

Parameters

ItemIndex
Index of the thumbnail item to delete.
A long value which represents a zero-based index value of the item to delete.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DeleteItems Method

Description

Deletes all items from the list of thumbnail items.

Syntax

Public Sub DeleteItems()

See Also


ThumbnailXpress Object

SelectedItemIndex

A long value which represents the selected index of the thumbnail item to delete.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DeleteSelectedItem Method

Description

Deletes the specified selected item from the list of thumbnail items.

Syntax

Public Sub DeleteSelectedItem( _
   ByVal SelectedItemIndex As Long _
)

Parameters

SelectedItemIndex

A long value which represents the selected index of the thumbnail item to delete.

See Also


ThumbnailXpress Object | MoveCtlWindow Method | CreateCtlWindow Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DestroyCtlWindow Method

Description

Provides programmatic destruction of a ThumbnailXpress control window.

Syntax

Public Sub DestroyCtlWindow()

See Also

ThumbnailXpress Object | MoveCtlWindow Method | CreateCtlWindow Method


ThumbnailXpress Object | CacheFile Property | CacheDiskLimit Property | CacheMemoryLimit Property | FlushCache Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EmptyCache Method

Description

Clears all items from the memory and disk cache.

Syntax

Public Sub EmptyCache()

See Also

ThumbnailXpress Object | CacheFile Property | CacheDiskLimit Property | CacheMemoryLimit Property | FlushCache Method


ThumbnailXpress Object | TN_Event Enumeration

eEvent
A TN_Event enumeration value to enable.
bEnabled
A boolean value which is True to enable the given event. Otherwise, False to disable the given event.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EnableEvent Method

Description

Enables or disables the raising of individual thumbnail custom events.

Syntax

Public Sub EnableEvent( _
   ByVal eEvent As TN_Event, _
   ByVal bEnabled As Boolean _
)

Parameters

eEvent
Value | Description
TN_SelectedIndexChange | The SelectedIndexChanged Event.
TN_Paint | The ThumbnailXpress Paint Event.
TN_ItemComplete | The ThumbnailItem ItemComplete Event.
TN_Error | The ThumbnailXpress Error Event
TN_LoadFromMemoryEvent | The LoadFromMemory Event.
A TN_Event enumeration value to enable.
bEnabled
A boolean value which is True to enable the given event. Otherwise, False to disable the given event.

See Also

ThumbnailXpress Object | TN_Event Enumeration


ThumbnailXpress Object | BeginUpdate Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EndUpdate Method

Description

Enables the control repainting after calling the BeginUpdate method.

Syntax

Public Sub EndUpdate()

See Also

ThumbnailXpress Object | BeginUpdate Method


ThumbnailXpress Object

ItemIndex
A long value which represents a zero-based index of the thumbnail item to make visible.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EnsureVisible Method

Description

Scrolls the list of thumbnail items if necessary to ensure the specified item is visible.

Syntax

Public Sub EnsureVisible( _
   ByVal ItemIndex As Long _
)

Parameters

ItemIndex
A long value which represents a zero-based index of the thumbnail item to make visible.

Remarks

If the given index is not visible, it will be made visible at the topmost row.

See Also


ThumbnailXpress Object

Name
A string value which represents the filter name to find.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

FindFilterItemIndex Method

Description

Finds the list index of a filter specified by the filter name.

Syntax

Public Function FindFilterItemIndex( _
   ByVal Name As String _
) As Long

Parameters

Name
A string value which represents the filter name to find.

See Also


ThumbnailXpress Object | EmptyCache Method | CacheDiskLimit Property | CacheFile Property | CacheMemoryLimit Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

FlushCache Method

Description

This method will force cache items which were in memory to be written to the disk cache, if present.

Syntax

Public Sub FlushCache()

See Also

ThumbnailXpress Object | EmptyCache Method | CacheDiskLimit Property | CacheFile Property | CacheMemoryLimit Property


GetDisplayRect Method

ThumbnailXpress Object

left
Left coordinate of display rectangle in pixels.
top

Top coordinate of display rectangle in pixels.

Right

Right coordinate of display rectangle in pixels.

Bottom

Bottom coordinate of display rectangle in pixels.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetDisplayRect Method

Description

Gets the display rectangle of the control in pixels.

Syntax

Public Sub GetDisplayRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

left
Left coordinate of display rectangle in pixels.
top

Top coordinate of display rectangle in pixels.

Right

Right coordinate of display rectangle in pixels.

Bottom

Bottom coordinate of display rectangle in pixels.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterCaseSensitive Method

Description

Gets the filename matching case sensitivity enabled value for the specified filter.

Syntax

Public Function GetFilterCaseSensitive( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which designates if the given filter is case sensitive.

See Also


ThumbnailXpress Object | TN_FilterComparison Enumeration

FilterName
A string value which represents the filter to get the comparison for.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterComparison Method

Description

Gets the comparison criteria for the specified filter.

Syntax

Public Function GetFilterComparison( _
   ByVal FilterName As String _
) As TN_FilterComparison

Parameters

FilterName
A string value which represents the filter to get the comparison for.

Return Type

The TN_FilterComparison value for the given FilterName.

See Also

ThumbnailXpress Object | TN_FilterComparison Enumeration


ThumbnailXpress Object

FilterName
A string value which represents the filter to get the data for.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterDate Method

Description

Gets the date criteria for the specified filter.

Syntax

Public Function GetFilterDate( _
   ByVal FilterName As String _
) As Variant

Parameters

FilterName
A string value which represents the filter to get the data for.

Return Type

A variant which represents the date for the filter given.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterEnabled Method

Description

Gets the enabled status of the specified filter.

Syntax

Public Function GetFilterEnabled( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which is True if the given filter is enabled. Otherwise, False is returned.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterFilenamePattern Method

Description

Gets the filename matching pattern criteria for the specified filter.

Syntax

Public Function GetFilterFilenamePattern( _
   ByVal FilterName As String _
) As String

Parameters

FilterName
A string value which represents the filter name.

Return Type

A string which represents the filter's filename pattern.

Remarks

The default value is an empty string "".

Note: This pattern is only relevant for a filter type of: Filename.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterIncludeHidden Method

Description

Gets the file attributes include hidden files enabled value for the specified filter.

Syntax

Public Function GetFilterIncludeHidden( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which is True if the given filter includes hidden files inclusion. Otherwise, False is returned.

Remarks

The default value is False.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterIncludeParentDirectory Method

Description

Gets the file attributes include parent directory enabled value for the specified filter.

Syntax

Public Function GetFilterIncludeParentDirectory( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which is True if the given filter includes the filter's parent directory inclusion. Otherwise, False is returned.

Remarks

The default value is False.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterIncludeSubDirectory Method

Description

Gets the file attributes include sub directory enabled value for the specified filter.

Syntax

Public Function GetFilterIncludeSubDirectory( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which is True if the given filter's sub-directory is included.

Remarks

The default value is True.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterMatchAppliesToDirectory Method

Description

Gets name pattern applies to directory enabled value for the specified filter.

Syntax

Public Function GetFilterMatchAppliesToDirectory( _
   ByVal FilterName As String _
) As Boolean

Parameters

FilterName
A string value which represents the filter name.

Return Type

A boolean value which is True which means for a directory to be included in the collection, the name must match the pattern criteria specified from the GetFilterFilenamePattern method. Otherwise, False is returned.

Remarks

The default value is False.

See Also


ThumbnailXpress Object

FilterIndex
A long value which represents the 0-based index for the filter to get the name of.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterName Method

Description

Gets the name for the filter at the specified filter index.

Syntax

Public Function GetFilterName( _
   ByVal FilterIndex As Long _
) As String

Parameters

FilterIndex
A long value which represents the 0-based index for the filter to get the name of.

Return Type

A string value which represents the filter name.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name to get the file size from.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterSize Method

Description

Gets the file size criteria for the specified filter.

Syntax

Public Function GetFilterSize( _
   ByVal FilterName As String _
) As Long

Parameters

FilterName
A string value which represents the filter name to get the file size from.

Return Type

A long value which represents the file size of the given filer.

Remarks

The default value is 0.

See Also


ThumbnailXpress Object | TN_FilterType Enumeration

FilterName
A string value which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetFilterType Method

Description

Gets the type for the specified filter.

Syntax

Public Function GetFilterType( _
   ByVal FilterName As String _
) As TN_FilterType

Parameters

FilterName
A string value which represents the filter name.

Return Type

The TN_FilterType enumeration value which is the type for the given filter.

See Also

ThumbnailXpress Object | TN_FilterType Enumeration


ThumbnailXpress Object

SelectedItemIndex
A long value which represents the index of the selected thumbnail item.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetIndexOfSelectedItem Method

Description

Gets the index in the list of thumbnail items for the specified selected thumbnail item.

Syntax

Public Function GetIndexOfSelectedItem( _
   ByVal SelectedItemIndex As Long _
) As Long

Parameters

SelectedItemIndex
A long value which represents the index of the selected thumbnail item.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the item to get the CAD layout count on.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemCadLayoutCount Method

Description

Gets the CAD layout count for the specified thumbnail item.

Syntax

Public Function GetItemCadLayoutCount( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
A long value which represents the item to get the CAD layout count on.

Return Type

A long value which represents the CAD layout count.

Remarks

Note: A layout count of 0 means the item is not of type CAD.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the thumbnail item to get the CAD layout number for.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemCadLayoutNumber Method

Description

Gets the CAD layout number for the specified thumbnail item.

Syntax

Public Function GetItemCadLayoutNumber( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
A long value which represents the thumbnail item to get the CAD layout number for.

Return Type

A long value which represents the layout number.

See Also


ThumbnailXpress Object

ItemIndex
Index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemDescriptor Method

Description

Gets the descriptor for the specified thumbnail item.

Syntax

Public Function GetItemDescriptor( _
   ByVal ItemIndex As Long _
) As String

Parameters

ItemIndex
Index of the thumbnail item to query.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemErrorCode Method

Description

Gets the error code for the specified thumbnail item.

Syntax

Public Function GetItemErrorCode( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
A long value which represents the index of the thumbnail item to query.

Return Type

A long value which represents the error number for the given item.

See Also


ThumbnailXpress Object

ItemIndex
A long which represents the index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemErrorString Method

Description

Gets the error string for the specified thumbnail item.

Syntax

Public Function GetItemErrorString( _
   ByVal ItemIndex As Long _
) As String

Parameters

ItemIndex
A long which represents the index of the thumbnail item to query.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemFilename Method

Description

Gets the filename for the specified thumbnail item.

Syntax

Public Function GetItemFilename( _
   ByVal ItemIndex As Long _
) As String

Parameters

ItemIndex
A long value which represents the index of the thumbnail item to query.

Return Type

A string value which represents the filename of the given item.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index of the item to get the bitmap of.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemHBitmap Method

Description

Gets the HBITMAP handle for the specified thumbnail item image.

Syntax

Public Function GetItemHBitmap( _
   ByVal ItemIndex As Long _
) As Integer

Parameters

ItemIndex
A long value which represents the index of the item to get the bitmap of.

Return Type

An integer value which represents the handle to a bitmap for the given item.

See Also


ThumbnailXpress Object

ItemIndex
Index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemHDib Method

Description

Gets the DIB handle for the specified thumbnail item image.

Syntax

Public Function GetItemHDib( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
Index of the thumbnail item to query.

Remarks

It is the callers responsibility to free the hDIB.

See Also


ThumbnailXpress Object

PointX
Horizontal coordinate offset from left edge of control in pixels.
PointY
Vertical coordinate offset from top edge of control in pixels.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemIndexFromPoint Method

Description

Gets the index for the thumbnail item at the specified point.

Syntax

Public Function GetItemIndexFromPoint( _
   ByVal PointX As Long, _
   ByVal PointY As Long _
) As Long

Parameters

PointX
Horizontal coordinate offset from left edge of control in pixels.
PointY
Vertical coordinate offset from top edge of control in pixels.

Return Type

A long value which represents the item index for the provided point coordinates.

See Also


ThumbnailXpress Object | SetItemPage Method | TN_IXLicenseEdition Enumeration

ItemIndex
A long value which represents the index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemPage Method

Description

Gets the page number for the specified thumbnail item.

Syntax

Public Function GetItemPage( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
A long value which represents the index of the thumbnail item to query.

Return Type

A long value which represents the page for the item.

Remarks

Gets the page in the image file that the thumbnail item represents.

The page number is 1-based, with the default page = 1.

Note: If you do not have a ImageXpress license which supports multi-page image files, you will not be able to display thumbnails for items where the page value is greater than 1.

Note: The Standard version of IX is the only version that does not support multi-page images.

See Also

ThumbnailXpress Object | SetItemPage Method | TN_IXLicenseEdition Enumeration


ThumbnailXpress Object

ItemIndex
A long value which represents the index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemPageCount Method

Description

Gets the page count for the specified thumbnail item.

Syntax

Public Function GetItemPageCount( _
   ByVal ItemIndex As Long _
) As Long

Parameters

ItemIndex
A long value which represents the index of the thumbnail item to query.

Return Type

A long value which represents the page count for the given item.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the item index of the picture to get.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemPicture Method

Description

Gets the Picture object for the specified thumbnail item image.

Syntax

Public Function GetItemPicture( _
   ByVal ItemIndex As Long _
) As Picture

Parameters

ItemIndex
A long value which represents the item index of the picture to get.

Return Type

A picture object which is associated with the given thumbnail item.

See Also


ThumbnailXpress Object

ItemIndex
Index of the thumbnail item to query.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemStatus Method

Description

Gets the status for the specified thumbnail item.

Syntax

Public Function GetItemStatus( _
   ByVal ItemIndex As Long _
) As TN_ThumbnailStatus

Parameters

ItemIndex
Index of the thumbnail item to query.

Return Type

A TN_ThumbnailStatus enumeration value associated to the given item index.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the item index to get the type for.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemType Method

Description

Gets the type for the specified thumbnail item.

Syntax

Public Function GetItemType( _
   ByVal ItemIndex As Long _
) As TN_ThumbnailType

Parameters

ItemIndex
A long value which represents the item index to get the type for.

Return Type

A TN_ThumbnailType enumeration value.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the item index.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

GetItemUserTag Method

Description

Gets the variant user data associated with the specified thumbnail item.

Syntax

Public Function GetItemUserTag( _
   ByVal ItemIndex As Long _
) As Variant

Parameters

ItemIndex
A long value which represents the item index.

Return Type

A variant which represents the user tag for the item.

See Also


ThumbnailXpress Object

FilterIndex
A long value which represents the filter index to insert for the item.
Name
A string which represents the filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

InsertFilterItem Method

Description

Inserts a new filter in the filter list at the specified index.

Syntax

Public Function InsertFilterItem( _
   ByVal FilterIndex As Long, _
   ByVal Name As String _
) As Long

Parameters

FilterIndex
A long value which represents the filter index to insert for the item.
Name
A string which represents the filter name.

See Also


InsertItem Method

ThumbnailXpress Object

Filename
A string value which represents the filename.
InsertIndex
A long value which represents the index where to insert the item.
Verify
A boolean value which should be True to verify the item is inserted.
Descriptor
A string value which represents the descriptor.
ThumbnailStatus
A TN_ThumbnailStatus enumeration value.
ThumbnailType
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page.
PageCount
A long value which represents the page count.
UserTag
A variant value which represents the user tag.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

InsertItem Method

Description

Inserts the specified item into the list of thumbnail items.

Syntax

Public Sub InsertItem( _
   ByVal Filename As String, _
   ByVal InsertIndex As Long, _
   ByVal Verify As Boolean, _
   ByVal Descriptor As String, _
   ByVal ThumbnailStatus As TN_ThumbnailStatus, _
   ByVal ThumbnailType As TN_ThumbnailType, _
   ByVal Page As Long, _
   ByVal PageCount As Long, _
   ByVal UserTag As Variant _
)

Parameters

Filename
A string value which represents the filename.
InsertIndex
A long value which represents the index where to insert the item.
Verify
A boolean value which should be True to verify the item is inserted.
Descriptor
A string value which represents the descriptor.
ThumbnailStatus
Value | Description
TN_NotValidated Item not validated at any level.
The thumbnail is not validated.
TN_Validated | File validated at some level; ThumbnailXpress believes it is a supported file type.
TN_BeingGenerated | Thumbnail bitmap in the process of being generated.
TN_Generated | A thumbnail bitmap successfully generated (though it may not be in cache at this point).
TN_FailedWithError | ThumbnailXpress failed to generate thumbnail bitmap for the image (likely decompression error).
TN_FailedWithTimeout | Failed to generate thumbnail bitmap within time limits. See ThreadHungThreshold property.
TN_Canceled | The thumbnail is canceled.
A TN_ThumbnailStatus enumeration value.
ThumbnailType
Value | Description
TN_Unknown | 0 - Thumbnail type is not recognized by ThumbnailXpress operations.
TN_Internet | 1 - Specifies that the file is an Internet file.
TN_Unsupported | 2 - ImageXpress or PDFXpress (if available) does not support the file.
TN_Image | 3 - Supported ImagXpress file type.
TN_PDF | 4 - Supported PDFXpress file type.
TN_CAD | 5 - Supported CAD (Computer Aided Design) file type.
TN_ParentDirectory | 6 - Parent directory folder.
TN_Subdirectory | 7 - Sub-directory folder type.
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page.
PageCount
A long value which represents the page count.
UserTag
A variant value which represents the user tag.

See Also


InsertItemFromBlob Method

ThumbnailXpress Object

ImageMemoryBlob
A variant which represents an image memory blob.
BlobSize
A long value which represents the blob size.
InsertIndex
A long value which represents the index location to insert the item.
Descriptor
A string value which represents the descriptor.
ThumbnailStatus
A TN_ThumbnailStatus enumeration value.
ThumbnailType
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page number.
PageCount
A long value which represents the page count.
UserTag
A variant which represents the user tag.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

InsertItemFromBlob Method

Description

Inserts an image into the list of thumbnail items by way of a user supplied image memory 'Blob'.

Syntax

Public Sub InsertItemFromBlob( _
   ByVal ImageMemoryBlob As Variant, _
   ByVal BlobSize As Long, _
   ByVal InsertIndex As Long, _
   ByVal Descriptor As String, _
   ByVal ThumbnailStatus As TN_ThumbnailStatus, _
   ByVal ThumbnailType As TN_ThumbnailType, _
   ByVal Page As Long, _
   ByVal PageCount As Long, _
   ByVal UserTag As Variant _
)

Parameters

ImageMemoryBlob
A variant which represents an image memory blob.
BlobSize
A long value which represents the blob size.
InsertIndex
A long value which represents the index location to insert the item.
Descriptor
A string value which represents the descriptor.
ThumbnailStatus
Value | Description
TN_NotValidated Item not validated at any level.
The thumbnail is not validated.
TN_Validated | File validated at some level; ThumbnailXpress believes it is a supported file type.
TN_BeingGenerated | Thumbnail bitmap in the process of being generated.
TN_Generated | A thumbnail bitmap successfully generated (though it may not be in cache at this point).
TN_FailedWithError | ThumbnailXpress failed to generate thumbnail bitmap for the image (likely decompression error).
TN_FailedWithTimeout | Failed to generate thumbnail bitmap within time limits. See ThreadHungThreshold property.
TN_Canceled | The thumbnail is canceled.
A TN_ThumbnailStatus enumeration value.
ThumbnailType
Value | Description
TN_Unknown | 0 - Thumbnail type is not recognized by ThumbnailXpress operations.
TN_Internet | 1 - Specifies that the file is an Internet file.
TN_Unsupported | 2 - ImageXpress or PDFXpress (if available) does not support the file.
TN_Image | 3 - Supported ImagXpress file type.
TN_PDF | 4 - Supported PDFXpress file type.
TN_CAD | 5 - Supported CAD (Computer Aided Design) file type.
TN_ParentDirectory | 6 - Parent directory folder.
TN_Subdirectory | 7 - Sub-directory folder type.
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page number.
PageCount
A long value which represents the page count.
UserTag
A variant which represents the user tag.

Remarks

The LoadFromMemory event may optionally be used to supply the memory 'Blob'.

See Also


InsertItemFromMemory Method

ThumbnailXpress Object

pImageMemoryBuffer
A byte value which represents the image from memory buffer.
MemoryBufferSize
A long value which represents the memory buffer size.
InsertIndex
A long value which represents the location to insert the item.
Descriptor
A string value which represents the description of the item to insert.
ThumbnailStatus
A TN_ThumbnailStatus enumeration value.
ThumbnailType
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page.
PageCount
A long value which represents the number of pages.
UserTag
A variant which represents the user tag.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

InsertItemFromMemory Method

Description

Inserts an image into the list of thumbnail items by way of a user supplied image memory buffer.

Syntax

Public Sub InsertItemFromMemory( _
   ByRef pImageMemoryBuffer As Byte, _
   ByVal MemoryBufferSize As Long, _
   ByVal InsertIndex As Long, _
   ByVal Descriptor As String, _
   ByVal ThumbnailStatus As TN_ThumbnailStatus, _
   ByVal ThumbnailType As TN_ThumbnailType, _
   ByVal Page As Long, _
   ByVal PageCount As Long, _
   ByVal UserTag As Variant _
)

Parameters

pImageMemoryBuffer
A byte value which represents the image from memory buffer.
MemoryBufferSize
A long value which represents the memory buffer size.
InsertIndex
A long value which represents the location to insert the item.
Descriptor
A string value which represents the description of the item to insert.
ThumbnailStatus
Value | Description
TN_NotValidated Item not validated at any level.
The thumbnail is not validated.
TN_Validated | File validated at some level; ThumbnailXpress believes it is a supported file type.
TN_BeingGenerated | Thumbnail bitmap in the process of being generated.
TN_Generated | A thumbnail bitmap successfully generated (though it may not be in cache at this point).
TN_FailedWithError | ThumbnailXpress failed to generate thumbnail bitmap for the image (likely decompression error).
TN_FailedWithTimeout | Failed to generate thumbnail bitmap within time limits. See ThreadHungThreshold property.
TN_Canceled | The thumbnail is canceled.
A TN_ThumbnailStatus enumeration value.
ThumbnailType
Value | Description
TN_Unknown | 0 - Thumbnail type is not recognized by ThumbnailXpress operations.
TN_Internet | 1 - Specifies that the file is an Internet file.
TN_Unsupported | 2 - ImageXpress or PDFXpress (if available) does not support the file.
TN_Image | 3 - Supported ImagXpress file type.
TN_PDF | 4 - Supported PDFXpress file type.
TN_CAD | 5 - Supported CAD (Computer Aided Design) file type.
TN_ParentDirectory | 6 - Parent directory folder.
TN_Subdirectory | 7 - Sub-directory folder type.
A TN_ThumbnailType enumeration value.
Page
A long value which represents the page.
PageCount
A long value which represents the number of pages.
UserTag
A variant which represents the user tag.

Remarks

The LoadFromMemory event may optionally be used to supply the memory buffer.

See Also


MoveCtlWindow Method

ThumbnailXpress Object

left
A long value which represents the left horizontal coordinate.
top
A long value which represents the top coordinate value.
width
A long which represents the width.
height
A long which represents the height.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MoveCtlWindow Method

Description

Provides programmatic relocation or possible resizing of a ThumbnailXpress control.

Syntax

Public Sub MoveCtlWindow( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

left
A long value which represents the left horizontal coordinate.
top
A long value which represents the top coordinate value.
width
A long which represents the width.
height
A long which represents the height.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Refresh Method

Description

Refreshes the list of thumbnail items.

Syntax

Public Sub Refresh()

See Also


ThumbnailXpress Object

Name
A string value which represents the filter to remove.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

RemoveFilterItem Method

Description

Removes ths filter specified by the filter list name.

Syntax

Public Sub RemoveFilterItem( _
   ByVal Name As String _
)

Parameters

Name
A string value which represents the filter to remove.

See Also


ThumbnailXpress Object

FilterIndex
A long value which represents the filter.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

RemoveFilterItemByIndex Method

Description

Removes this filter specified by the filter list index.

Syntax

Public Sub RemoveFilterItemByIndex( _
   ByVal FilterIndex As Long _
)

Parameters

FilterIndex
A long value which represents the filter.

See Also


ThumbnailXpress Object

CanceledItemIndex
A long value which represents the index of the canceled item to reset.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ResetCanceledItem Method

Description

Resets canceled status for a single canceled item or for all canceled items, allowing them to be attempted to be re-generated.

Syntax

Public Sub ResetCanceledItem( _
   ByVal CanceledItemIndex As Long _
)

Parameters

CanceledItemIndex
A long value which represents the index of the canceled item to reset.

Remarks

Note: Passing in a valid canceled item index parameter resets the item status to allow a generation attempt. Passing in -1 resets ALL canceled items.

See Also


ThumbnailXpress Object

ScrollType
A TN_ScrollItemsType enumeration value.
Value
If the TN_ScrollItemsType is equal to TN_ThumbPosition, this value specifies a thumb position to be scrolled to. If TN_ScrollItemsType is equal to TN_ItemIndex, this value specifies the item index to be scrolled to.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ScrollItems Method

Description

Provides programmatic scrolling of the thumbnail item list.

Syntax

Public Sub ScrollItems( _
   ByVal ScrollType As TN_ScrollItemsType, _
   ByVal Value As Long _
)

Parameters

ScrollType
Value | Description
TN_LargeDecrease | Large decrease in scroll operation.
TN_SmallDecrease | Small decrease in scroll operation.
TN_LargeIncrease | Large increase in scroll operation.
TN_SmallIncrease | Small increase in scroll operation.
TN_ThumbPosition | Thumb position.
TN_ItemIndex | Item index.
A TN_ScrollItemsType enumeration value.
Value
If the TN_ScrollItemsType is equal to TN_ThumbPosition, this value specifies a thumb position to be scrolled to. If TN_ScrollItemsType is equal to TN_ItemIndex, this value specifies the item index to be scrolled to.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index value of the item to select.
Selected
A boolean value which is True when the item is selected. Otherwise, False.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SelectItem Method

Description

Selects (or deselects) the specified thumbnail item.

Syntax

Public Sub SelectItem( _
   ByVal ItemIndex As Long, _
   ByVal Selected As Boolean _
)

Parameters

ItemIndex
A long value which represents the index value of the item to select.
Selected
A boolean value which is True when the item is selected. Otherwise, False.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
FilterCaseSensitive
A boolean value to set to True to make the filter case sensitive. Set to False so the filter is not case sensitive.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterCaseSensitive Method

Description

Sets the filename matching case sensitivity enabled value for the specified filter.

Syntax

Public Sub SetFilterCaseSensitive( _
   ByVal FilterName As String, _
   ByVal FilterCaseSensitive As Boolean _
)

Parameters

FilterName
A string value which represents the filter name.
FilterCaseSensitive
A boolean value to set to True to make the filter case sensitive. Set to False so the filter is not case sensitive.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
eFilterComparison
A TN_FilterComparison enumeration value.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterComparison Method

Description

Sets the comparison criteria for the specified filter.

Syntax

Public Sub SetFilterComparison( _
   ByVal FilterName As String, _
   ByVal eFilterComparison As TN_FilterComparison _
)

Parameters

FilterName
A string value which represents the filter name.
eFilterComparison
Value | Description
TN_LessThan | Use Less Than
TN_LessThanEquals | Use Less Than or Equals
TN_Equal | Use Equals
TN_GreaterThanEquals | Use Greater Than or Equals.
TN_GreaterThan | Use Greater Than.
A TN_FilterComparison enumeration value.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
vFilterDate
A variant which represents the filter date.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterDate Method

Description

Sets the date criteria for the specified filter.

Syntax

Public Sub SetFilterDate( _
   ByVal FilterName As String, _
   ByVal vFilterDate As Variant _
)

Parameters

FilterName
A string value which represents the filter name.
vFilterDate
A variant which represents the filter date.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
FilterEnabled
A boolean value which is True to set the filter to enabled. Otherwise, False should be set.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterEnabled Method

Description

Sets the enabled status of the specified filter.

Syntax

Public Sub SetFilterEnabled( _
   ByVal FilterName As String, _
   ByVal FilterEnabled As Boolean _
)

Parameters

FilterName
A string value which represents the filter name.
FilterEnabled
A boolean value which is True to set the filter to enabled. Otherwise, False should be set.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
FilenamePattern
A string value which represents the filename pattern.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterFilenamePattern Method

Description

Sets the filename matching pattern criteria for the specified filter.

Syntax

Public Sub SetFilterFilenamePattern( _
   ByVal FilterName As String, _
   ByVal FilenamePattern As String _
)

Parameters

FilterName
A string value which represents the filter name.
FilenamePattern
A string value which represents the filename pattern.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
FilterIncludeHidden
A boolean value which should be set to True to include hidden values for the filter. Otherwise, False should be set.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterIncludeHidden Method

Description

Sets the file attributes include hidden files enabled value for the specified filter.

Syntax

Public Sub SetFilterIncludeHidden( _
   ByVal FilterName As String, _
   ByVal FilterIncludeHidden As Boolean _
)

Parameters

FilterName
A string value which represents the filter name.
FilterIncludeHidden
A boolean value which should be set to True to include hidden values for the filter. Otherwise, False should be set.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
FilterIncludeParentDirectory
A boolean value which should be set to True to include the parent directory for the given filter.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterIncludeParentDirectory Method

Description

Sets the file attributes include parent directory enabled value for the specified filter.

Syntax

Public Sub SetFilterIncludeParentDirectory( _
   ByVal FilterName As String, _
   ByVal FilterIncludeParentDirectory As Boolean _
)

Parameters

FilterName
A string value which represents the filter name.
FilterIncludeParentDirectory
A boolean value which should be set to True to include the parent directory for the given filter.

See Also


ThumbnailXpress Object

FilterName
A string which represents the filter.
FilterIncludeSubDirectory
A boolean value which should be set to True to include the sub directory for the filter. Otherwise, False should be set.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterIncludeSubDirectory Method

Description

Sets the file attributes include sub directory enabled value for the specified filter.

Syntax

Public Sub SetFilterIncludeSubDirectory( _
   ByVal FilterName As String, _
   ByVal FilterIncludeSubDirectory As Boolean _
)

Parameters

FilterName
A string which represents the filter.
FilterIncludeSubDirectory
A boolean value which should be set to True to include the sub directory for the filter. Otherwise, False should be set.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter.
FilterMatchAppliesToDirectory
A boolean value which should be True to set the given filter to match applies to directory. Otherwise, False should be used.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterMatchAppliesToDirectory Method

Description

Sets name pattern applies to directory enabled value for the specified filter.

Syntax

Public Sub SetFilterMatchAppliesToDirectory( _
   ByVal FilterName As String, _
   ByVal FilterMatchAppliesToDirectory As Boolean _
)

Parameters

FilterName
A string value which represents the filter.
FilterMatchAppliesToDirectory
A boolean value which should be True to set the given filter to match applies to directory. Otherwise, False should be used.

See Also


ThumbnailXpress Object

CurrentName
A string value which represents the current filter name.
NewName
A string value which represents the new filter name.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterName Method

Description

Renames an existing filter.

Syntax

Public Sub SetFilterName( _
   ByVal CurrentName As String, _
   ByVal NewName As String _
)

Parameters

CurrentName
A string value which represents the current filter name.
NewName
A string value which represents the new filter name.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter.
FilterSize
A long value which represents the filter size.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterSize Method

Description

Sets the file size criteria for the specified filter.

Syntax

Public Sub SetFilterSize( _
   ByVal FilterName As String, _
   ByVal FilterSize As Long _
)

Parameters

FilterName
A string value which represents the filter.
FilterSize
A long value which represents the filter size.

See Also


ThumbnailXpress Object

FilterName
A string value which represents the filter name.
eFilterType
A TN_FilterType enumeration value.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetFilterType Method

Description

Sets the type for the specified filter.

Syntax

Public Sub SetFilterType( _
   ByVal FilterName As String, _
   ByVal eFilterType As TN_FilterType _
)

Parameters

FilterName
A string value which represents the filter name.
eFilterType
Value | Description
TN_Filename | Use the source filename.
TN_FileAttributes | Use the source file attributes.
TN_FileCreationDate | Use the source file creation date.
TN_FileModificationDate | Use the source file modification date.
TN_FileSize | Use the source file file size.
TN_SupportedFileType | Use the source file file type.
A TN_FilterType enumeration value.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index location for the item.
CadLayoutNumber
A long value which represents the CAD layout number for the item.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetItemCadLayoutNumber Method

Description

Sets the CAD layout number for the specified thumbnail item.

Syntax

Public Sub SetItemCadLayoutNumber( _
   ByVal ItemIndex As Long, _
   ByVal CadLayoutNumber As Long _
)

Parameters

ItemIndex
A long value which represents the index location for the item.
CadLayoutNumber
A long value which represents the CAD layout number for the item.

See Also


ThumbnailXpress Object

ItemIndex
Index of the thumbnail item.
Descriptor
String to describe thumbnail image.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetItemDescriptor Method

Description

Set the descriptor text of the thumbnail item.

Syntax

Public Sub SetItemDescriptor( _
   ByVal ItemIndex As Long, _
   ByVal Descriptor As String _
)

Parameters

ItemIndex
Index of the thumbnail item.
Descriptor
String to describe thumbnail image.

Remarks

New descriptor for the specified thumbnail item.

See Also


ThumbnailXpress Object | Refresh Method

ItemIndex
Index of the thumbnail item to query.
Filename
New filename for the specified thumbnail item.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetItemFilename Method

Description

Sets the filename for the specified thumbnail item.

Syntax

Public Sub SetItemFilename( _
   ByVal ItemIndex As Long, _
   ByVal Filename As String _
)

Parameters

ItemIndex
Index of the thumbnail item to query.
Filename
New filename for the specified thumbnail item.

Remarks

Setting an item's Filename will cause the thumbnail item to be regenerated. Setting this will impact the ability of the thumbnail item list to be refreshed.

See Also

ThumbnailXpress Object | Refresh Method


ThumbnailXpress Object | GetItemPage Method | GetItemPageCount Method | TN_IXLicenseEdition Enumeration

ItemIndex
Index of the thumbnail item to query.
Page
Page to be represented by the specified thumbnail item.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetItemPage Method

Description

Sets the page number for the specified thumbnail item.

Syntax

Public Sub SetItemPage( _
   ByVal ItemIndex As Long, _
   ByVal Page As Long _
)

Parameters

ItemIndex
Index of the thumbnail item to query.
Page
Page to be represented by the specified thumbnail item.

Remarks

Sets the page in the image file that the thumbnail item is to represent. The page number is 1-based, with the default page = 1. If you do not have a ImageXpress license which supports multi-page image files, you will not be able to display thumbnails for items where the page value is greater than 1. The Standard version of IX is the only version that does not support multi-page images.

See Also

ThumbnailXpress Object | GetItemPage Method | GetItemPageCount Method | TN_IXLicenseEdition Enumeration


ThumbnailXpress Object

ItemIndex
A long value which represents the index location for the item.
newVal
A variant value which represents the new value for the user tag.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetItemUserTag Method

Description

Sets the variant user data associated with the specified thumbnail item.

Syntax

Public Sub SetItemUserTag( _
   ByVal ItemIndex As Long, _
   ByVal newVal As Variant _
)

Parameters

ItemIndex
A long value which represents the index location for the item.
newVal
A variant value which represents the new value for the user tag.

See Also


SetIXLicenseCodes Method

ThumbnailXpress Object

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW2

PW2 # Unlock code 2 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW3

PW3 # Unlock code 3 from the licensing information you received when you purchased a runtime license for ImagXpress.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetIXLicenseCodes Method

Description

Sets the ImageXpress license codes.

Syntax

Public Sub SetIXLicenseCodes( _
   ByVal PW0 As Long, _
   ByVal PW1 As Long, _
   ByVal PW2 As Long, _
   ByVal PW3 As Long _
)

Parameters

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW2

PW2 # Unlock code 2 from the licensing information you received when you purchased a runtime license for ImagXpress.

PW3

PW3 # Unlock code 3 from the licensing information you received when you purchased a runtime license for ImagXpress.

See Also


SetLoadFromMemoryEventItemImageBlob Method

ThumbnailXpress Object | LoadFromMemory Event

LoadFromMemoryEventItemID
A long value which represents the memory event item ID.
BlobImageData
A Variant which represents the image data blob.
BlobSize
A long value which represents the blob size.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetLoadFromMemoryEventItemImageBlob Method

Description

Provides for supplying a Variant containing an image memory blob during an item LoadFromMemory event.

Syntax

Public Sub SetLoadFromMemoryEventItemImageBlob( _
   ByVal LoadFromMemoryEventItemID As Long, _
   ByVal BlobImageData As Variant, _
   ByVal BlobSize As Long _
)

Parameters

LoadFromMemoryEventItemID
A long value which represents the memory event item ID.
BlobImageData
A Variant which represents the image data blob.
BlobSize
A long value which represents the blob size.

See Also

ThumbnailXpress Object | LoadFromMemory Event


SetLoadFromMemoryEventItemImageBuffer Method

ThumbnailXpress Object | LoadFromMemory Event

LoadFromMemoryEventItemID
A long value which represents the memory event item ID.
pImageMemoryBuffer
A Variant which represents the image data blob.
ImageBufferSize
A long value which represents the blob size.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetLoadFromMemoryEventItemImageBuffer Method

Description

Provides for supplying a Variant containing an image memory buffer during an item LoadFromMemory event.

Syntax

Public Sub SetLoadFromMemoryEventItemImageBuffer( _
   ByVal LoadFromMemoryEventItemID As Long, _
   ByRef pImageMemoryBuffer As Byte, _
   ByVal ImageBufferSize As Long _
)

Parameters

LoadFromMemoryEventItemID
A long value which represents the memory event item ID.
pImageMemoryBuffer
A Variant which represents the image data blob.
ImageBufferSize
A long value which represents the blob size.

See Also

ThumbnailXpress Object | LoadFromMemory Event


SetPDFXLicenseCodes Method

ThumbnailXpress Object

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW2

Unlock code 2 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW3

Unlock code 3 from the licensing information you received when you purchased a runtime license for PDFXpress.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SetPDFXLicenseCodes Method

Description

Sets the PDFXpress license codes.

Syntax

Public Sub SetPDFXLicenseCodes( _
   ByVal PW0 As Long, _
   ByVal PW1 As Long, _
   ByVal PW2 As Long, _
   ByVal PW3 As Long _
)

Parameters

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW2

Unlock code 2 from the licensing information you received when you purchased a runtime license for PDFXpress.

PW3

Unlock code 3 from the licensing information you received when you purchased a runtime license for PDFXpress.

See Also


ThumbnailXpress Object

Show
A boolean value which is True to display the scroll bar. Otherwise, False is used.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ShowScrollBar Method

Description

Shows or hides the scroll bar.

Syntax

Public Sub ShowScrollBar( _
   ByVal Show As Boolean _
)

Parameters

Show
A boolean value which is True to display the scroll bar. Otherwise, False is used.

See Also


UnlockRuntime Method

ThumbnailXpress Object

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW2

Unlock code 2 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW3

Unlock code 3 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

UnlockRuntime Method

Description

Sets the runtime license for the control.

Syntax

Public Sub UnlockRuntime( _
   ByVal PW0 As Long, _
   ByVal PW1 As Long, _
   ByVal PW2 As Long, _
   ByVal PW3 As Long _
)

Parameters

PW0

Unlock code 0 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW1

Unlock code 1 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW2

Unlock code 2 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

PW3

Unlock code 3 from the licensing information you received when you purchased a runtime license for ThumbnailXpress.

See Also


ThumbnailXpress Object

WebLicense

The licensing string you received when you purchased a web license for ThumbnailXpress.

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

UnlockWeb Method

Description

Sets the web license for the control.

Syntax

Public Sub UnlockWeb( _
   ByVal WebLicense As String _
)

Parameters

WebLicense

The licensing string you received when you purchased a web license for ThumbnailXpress.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

BackColor Property

Description

Gets and sets the background color for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A Ulong value which represents the background color.

Remarks

The default value is white (&H00FFFFFF&).

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

BorderStyle Property

Description

Gets or sets the border style.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As TN_BorderStyle

Return Type

A TN_BorderStyle enumeration value which determines the border style.

Remarks

The default value is 2 - TN_BorderNone.

See Also


ThumbnailXpress Object | LeftMargin Property | RightMargin Property | TopMargin Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

BottomMargin Property

Description

Gets or sets the bottom margin in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BottomMargin() As Long

Return Type

A long value which represents the bottom margin in pixels.

Remarks

The default value is 5 pixels.

The LeftMargin, TopMargin, RightMargin, BottomMargin properties control how much space is reserved in the client area of the control, which will not have any thumbnail items drawn in it. The area between the edge, extending toward the center of the control by the number of units specified by this value, will always be painted using the background color, and will not have thumbnail items drawn in it.

See Also

ThumbnailXpress Object | LeftMargin Property | RightMargin Property | TopMargin Property


ThumbnailXpress Object | CacheFile Property | CacheMemoryLimit Property | EmptyCache Method | FlushCache Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CacheDiskLimit Property

Description

Gets or sets access to the disk cache limit.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CacheDiskLimit() As Long

Return Type

A long value which represents the disk cashe limit.

Remarks

The maximum is 10241.

Changing the CacheDiskLimit can cause the cache to be partially or entirely cleared and the cache file reconstructed.

Changing the CacheMemoryLimit can cause the cache to be partially or entirely cleared and the cache file reconstructed.

It is best to set this property when the application initializes only.

See Also

ThumbnailXpress Object | CacheFile Property | CacheMemoryLimit Property | EmptyCache Method | FlushCache Method


ThumbnailXpress Object | CacheDiskLimit Property | CacheMemoryLimit Property | EmptyCache Method | FlushCache Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CacheFile Property

Description

Gets or sets access to the name of the cache file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CacheFile() As String

Return Type

A string value which represents the name of the cache file.

Remarks

Creates temporary file in user's local Temp folder.

Changing this property will cause the cache to be completely cleared and the cache file to be reconstructed.

Changing the CacheDiskLimit can cause the cache to be partially or entirely cleared and the cache file reconstructed.

Note: It is best to set this property when the application initializes only.

See Also

ThumbnailXpress Object | CacheDiskLimit Property | CacheMemoryLimit Property | EmptyCache Method | FlushCache Method


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CacheFilePath Property

Description

Gets or sets the cache file path.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CacheFilePath() As String

Return Type

A string value which represents the path of the cache.

See Also


ThumbnailXpress Object | CacheDiskLimit Property | CacheFile Property | EmptyCache Method | FlushCache Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CacheMemoryLimit Property

Description

Gets or sets access to the memory cache limit.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CacheMemoryLimit() As Long

Return Type

A long value which represents the memory cache limit.

Remarks

Changing the CacheMemoryLimit can cause the cache to be partially or entirely cleared and the cache file reconstructed.

Changing the CacheDiskLimit can cause the cache to be partially or entirely cleared and the cache file reconstructed.

Note: It is best to set this property when the application initializes only.

See Also

ThumbnailXpress Object | CacheDiskLimit Property | CacheFile Property | EmptyCache Method | FlushCache Method


ThumbnailXpress Object | TN_IXLicenseEdition Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CameraRawEnabled Property

Description

Gets or sets access to enabling or disabling CameraRaw image format support during thumbnail image generation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CameraRawEnabled() As Boolean

Return Type

A boolean value which is True to enable CameraRaw image format support. Otherwise, False should be used and CameraRaw image support is not enabled.

Remarks

Note: CameraRaw enablement support also requires that the ImagXpress License be set to Photo.

See Also

ThumbnailXpress Object | TN_IXLicenseEdition Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellBorderColor Property

Description

Gets or sets access to the border color of the cells in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellBorderColor() As ULong

Return Type

A Ulong value which represents the border color of the cells in the control.

Remarks

The default value is black.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellBorderWidth Property

Description

Gets or sets access to the width of the cells in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellBorderWidth() As Long

Return Type

A long value which represents the width of the cells in the control.

Remarks

The default value is 1 pixel.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellHeight Property

Description

Gets or sets access to the height of the cells in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellHeight() As Long

Return Type

A long value which represents the height of the cells in the control.

Remarks

Thumbnail cells default to 80 by 80 pixels square.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellHorizontalSpacing Property

Description

Gets or sets access to the horizontal spacing between cells.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellHorizontalSpacing() As Long

Return Type

A long value which represents the horizontal spacing between cells.

Remarks

The default value is 5 pixels.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellSpacingColor Property

Description

Gets or sets the cell spacing color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellSpacingColor() As ULong

Return Type

A Ulong value which represents the cell spacing color.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellVerticalSpacing Property

Description

Gets or sets access to the vertical spacing between cells.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellVerticalSpacing() As Long

Return Type

A long value which represents the vertical spacing between cells.

Remarks

The default value is 5 pixels.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

CellWidth Property

Description

Gets or sets access to the width of the cells in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CellWidth() As Long

Return Type

A long value which represents the width of the cells in the control.

Remarks

Thumbnail cells default to 80 by 80 pixels square.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DblClickDirectoryDrillDown Property

Description

Gets or sets an indicator whether mouse double-clicks over directory folder icons should display the images in the clicked directory.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DblClickDirectoryDrillDown() As Boolean

Return Type

A boolean value which is True to display images based on mouse double-clicks.

See Also


ThumbnailXpress Object | DebugErrorLevel Property | DebugLogFile Property | TN_DebugErrorLevel Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Debug Property

Description

Gets or sets an indicator to write debug information into the DebugLogFile.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Debug() As Boolean

Return Type

A boolean value which is True to write debug information to the DebugLogFile. Otherwise, False should be used and no information is written to the DebugLogFile.

Remarks

The default value is False.

See Also

ThumbnailXpress Object | DebugErrorLevel Property | DebugLogFile Property | TN_DebugErrorLevel Enumeration


ThumbnailXpress Object | TN_DebugErrorLevel Enumeration | Debug Property | DebugLogFile Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DebugErrorLevel Property

Description

Gets or sets access to the level of detail written to the error log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DebugErrorLevel() As TN_DebugErrorLevel

Return Type

A TN_DebugErrorLevel enumeration value which determines the level of debug information written to the DebugLogFile.

Remarks

The default value is TN_Production.

See Also

ThumbnailXpress Object | TN_DebugErrorLevel Enumeration | Debug Property | DebugLogFile Property


ThumbnailXpress Object | TN_DebugErrorLevel Enumeration | Debug Property | DebugErrorLevel Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DebugLogFile Property

Description

Gets or sets access to the log file location.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DebugLogFile() As String

Return Type

A string value which represents the log file location and name.

See Also

ThumbnailXpress Object | TN_DebugErrorLevel Enumeration | Debug Property | DebugErrorLevel Property


ThumbnailXpress Object | TN_DescriptorFormat Enumeration | DescriptorVerticalAlignment Property | SetItemDescriptor Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DescriptorDisplayMethod Property

Description

Gets or sets access to the method allowing selection of the source of descriptor text content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptorDisplayMethod() As TN_DescriptorFormat

Return Type

A TN_DescriptorFormat enumeration value which determines the descriptor format.

Remarks

The default value is to use the descriptor text applied with the SetItemDescriptor Method if it exists, or the short filename.

See Also

ThumbnailXpress Object | TN_DescriptorFormat Enumeration | DescriptorVerticalAlignment Property | SetItemDescriptor Method


ThumbnailXpress Object | TN_DescriptorHorizontalAlignment Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DescriptorHorizontalAlignment Property

Description

Gets or sets the horizontal alignment of the descriptor text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptorHorizontalAlignment() As TN_DescriptorHorizontalAlignment

Return Type

A TN_DescriptorHorizontalAlignment enumeration value which determines the horizontal alignment of the descriptor text.

Remarks

The default value is 1 - align center.

See Also

ThumbnailXpress Object | TN_DescriptorHorizontalAlignment Enumeration


ThumbnailXpress Object | TN_DescriptorVerticalAlignment Enumeration | TN_DescriptorHorizontalAlignment Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DescriptorVerticalAlignment Property

Description

Gets or sets the vertical alignment of the descriptor text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptorVerticalAlignment() As TN_DescriptorVerticalAlignment

Return Type

A TN_DescriptorVerticalAlignment enumeration value which determines the vertical alignment of the descriptor text.

Remarks

The default value is 2 - align bottom.

See Also

ThumbnailXpress Object | TN_DescriptorVerticalAlignment Enumeration | TN_DescriptorHorizontalAlignment Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EnableAsDragSourceForExternalDragDrop Property

Description

Gets or sets an indicator whether drag and drop source thumbnails is enabled on other applications.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAsDragSourceForExternalDragDrop() As Boolean

Return Type

A boolean value which is True to enable the component to drag thumbnail images to other applications. Otherwise, False is used.

Remarks

Any applications that support drag and drop format can be a thumbnail image drop recipient. Both copy and move operations are supported.

Note: According to Microsoft®, for security reasons, drag/drop capabilities are disallowed between windows with different security level permissions.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EnableAsDropTargetForExternalDragDrop Property

Description

Gets or sets an indicator whether drag and drop target is enabled for other applications to drag files onto those files as thumbnail images.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAsDropTargetForExternalDragDrop() As Boolean

Return Type

A boolean value which is True to enable the component to drag thumbnail images from other applications. Otherwise, False is used.

Remarks

Any applications that support drag and drop format can be a thumbnail image drag/drop recipient. Both copy and move operations are supported.

Note: According to Microsoft®, for security reasons, drag/drop capabilities are disallowed between windows with different security level permissions.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Enabled Property

Description

Gets and sets a value that determines if ThumbnailXpress responds to user-generated events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Return Type

A boolean value which is True to enable accessing the filter status flag.

Remarks

The default value is True.

See Also


ThumbnailXpress Object | TN_ErrorAction Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ErrorAction Property

Description

Gets or sets the action to take on erros when adding thumbnail items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ErrorAction() As TN_ErrorAction

Return Type

A TN_ErrorAction enumeration value which determines the type of display action taken when a thumbnail generation error occurs.

Remarks

The default value is 0 - use error icon.

See Also

ThumbnailXpress Object | TN_ErrorAction Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ErrorCode Property

Description

Gets the error code from the most recent call.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ErrorCode() As Long

Return Type

A long value which represents the error number.

See Also


ThumbnailXpress Object | TN_EvaluationMode Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

EvaluationMode Property

Description

Gets or sets the type of evaluation mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EvaluationMode() As TN_EvaluationMode

Return Type

A TN_EvaluationMode enumeration value which determines the mode of operation during evaluation mode.

Remarks

The default value is 0 - use dialog.

See Also

ThumbnailXpress Object | TN_EvaluationMode Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Font Property

Description

Gets or sets the font for the ThumbnailXpress control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

The default value is MS Sans Serif.

The font property affects the display of the descriptor strings when the thumbnail items are painted in the control.

See Also


ThumbnailXpress Object | DescriptorDisplayMethod Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ForeColor Property

Description

Gets or sets the foreground color for the ThumbnailXpress control Descriptor text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Return Type

A Ulong value which represents the foreground color.

Remarks

The default value color is black.

See Also

ThumbnailXpress Object | DescriptorDisplayMethod Property


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

FTPPassword Property

Description

Gets or sets the FTP password that is used for accessing files on the Internet when a thumbnail item's Filename property is set to an ftp or http address.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FTPPassword() As String

Return Type

A string value which represents the ftp password.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

FTPUserName Property

Description

Gets or sets the FTP user name that is used for accessing files on the Internet when a thumbnail item's Filename property is set to an ftp or http address.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FTPUserName() As String

Return Type

A string value which represents the ftp user name.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

HWND Property

Description

A stock, read-only property which is a handle to a window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HWND() As Long

Return Type

A long value which represents a handle to a window.

Remarks

Returns a handle (from Microsoft Windows) to the ThumbnailXpress control's window.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

InterComponentThumbnailDragDropEnabled Property

Description

Gets or sets an indicator whether inter-component thumbnail drag drop moved or copied items are enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InterComponentThumbnailDragDropEnabled() As Boolean

Return Type

A boolean value which is True to enable drag and drop within other instances of the component. Otherwise, False is used.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

IntraComponentThumbnailDragDropEnabled Property

Description

Gets or sets an indicator if intra-component thumbnail drag drop move operations are enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IntraComponentThumbnailDragDropEnabled() As Boolean

Return Type

A boolean value which is True to enable drag and drop within the same instance of the component. Otherwise, False is used.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ItemCount Property

Description

Gets the number of thumbnail items from the thumbnail items list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemCount() As Long

Return Type

A long value which represents the number of thumbnail items.

Remarks

ItemCount reflects the number of items in the thumbnail item list, which is displayed in the thumbnail control.

See Also


ThumbnailXpress Object | TN_IXLicenseEdition Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

IXLicenseEdition Property

Description

Gets or sets the ImagXpress license edition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IXLicenseEdition() As TN_IXLicenseEdition

Return Type

A TN_IXLicenseEdition which determines the ImagXpress licensing level.

Remarks

The default value is 2 - ImagXpress™, Document edition.

See Also

ThumbnailXpress Object | TN_IXLicenseEdition Enumeration


ThumbnailXpress Object | BottomMargin Property | RightMargin Property | TopMargin Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

LeftMargin Property

Description

Gets or sets the left margin in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LeftMargin() As Long

Return Type

A long value which represents the left margin in pixels.

Remarks

The default value is 5 pixels.

The LeftMargin, TopMargin, RightMargin, BottomMargin properties control how much space is reserved in the client area of the control, which will not have any thumbnail items drawn in it. The area between the edge, extending toward the center of the control by the number of units specified by this value, will always be painted using the background color, and will not have thumbnail items drawn in it.

See Also

ThumbnailXpress Object | BottomMargin Property | RightMargin Property | TopMargin Property


ThumbnailXpress Object | ThreadHungThreshold Property | ThreadStartThreshold Property | Threading Overview

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MaximumThreadCount Property

Description

Gets or sets the maximum thread count.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaximumThreadCount() As Long

Remarks

The default value is 2.

The MaximumThreadCount property specifies the maximum number of threads that will be used to generate thumbnail items in the background, concurrent with the control window being painted. The thumbnail control will use up to this number of threads for generating thumbnail images, depending on how many processors the system has, and how much time is spent processing each thumbnail item.

See Also

ThumbnailXpress Object | ThreadHungThreshold Property | ThreadStartThreshold Property | Threading Overview


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MaximumThumbnailBitDepth Property

Description

Gets or sets the maximum thumbnail bit-depth.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaximumThumbnailBitDepth() As Long

Remarks

The default value is 24 bpp.

Valid values are 8 and 24.

The MaximumThumbnailBitDepth property controls the maximum color depth of the images generated to represent a thumbnail item in the control. For example, if the image is a 24-bit color image, and MaximumThumbnailBitDepth is 8, the thumbnail image that is displayed will only be an 8-bit device independent bitmap.

Reducing the bit depth conserves memory and increases the number of thumbnail items which can fit into the cache, but may produce a lower quality thumbnail bitmap.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

PreserveBlackEnabled Property

Description

Gets or sets whether preserve black is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreserveBlackEnabled() As Boolean

Return Type

A boolean value which is True to preserve black in fine lines. Otherwise, False is used and black is not preserved.

Remarks

Controls the ImagXpress PreserveBlack property. Used to maintain fine lines when creating thumbnail images from black-and-white documents.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ProxyServer Property

Description

Gets or sets a proxy server name or IP address.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProxyServer() As String

Return Type

A string value which represents the name or IP address of an optional proxy server.

Remarks

A proxy server is optionally used to access internet resident image files through a local area network.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

RaiseExceptions Property

Description

The RaiseExceptions property controls how errors are reported to the application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RaiseExceptions() As Boolean

Return Type

A boolean value which is True to raise exceptions. Otherwise, False should be used and exceptions are not raised.

Remarks

The default value is True.

Example

If RaiseExceptions is set to False, no exceptions are sent to the caller
via IErrorInfo; instead, the caller checks the ErrorCode property.

If RaiseExceptions is set to True, exceptions are sent via IErrorInfo
and the caller code can look like this:

Private Sub Command1_Click()
On Error Goto LocalError
ThumbnailXpress...
...
Exit Sub

LocalError:
' Do something here.
End Sub

See Also


ThumbnailXpress Object | BottomMargin Property | LeftMargin Property | TopMargin Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

RightMargin Property

Description

Gets or sets the right margin in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightMargin() As Long

Return Type

A long value which represents the right margin in pixels.

Remarks

The default value is 5 pixels.

The LeftMargin, TopMargin, RightMargin, BottomMargin properties control how much space is reserved in the client area of the control, which will not have any thumbnail items drawn in it. The area between the edge, extending toward the center of the control by the number of units specified by this value, will always be painted using the background color, and will not have thumbnail items drawn in it.

See Also

ThumbnailXpress Object | BottomMargin Property | LeftMargin Property | TopMargin Property


ThumbnailXpress Object | TN_ScrollDirection Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ScrollDirection Property

Description

Gets or sets the scroll direction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollDirection() As TN_ScrollDirection

Return Type

A TN_ScrollDirection enumeration value which determines the scroll direction.

Remarks

The default value is vertical.

The ScrollDirection property controls how the thumbnail items are arranged in the control, which scrollbars will be displayed and how the items will be scrolled in the control window. If the ScrollDirection property is set to Vertical, the control will display a vertical scrollbar. Setting the ScrollDirection property to Horizontal will display a horizontal scrollbar. The control manages the display and updates the scrollbar so the application does not need to.

See Also

ThumbnailXpress Object | TN_ScrollDirection Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SelectBackColor Property

Description

Gets or sets the cell background color used for selected thumbnail items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectBackColor() As ULong

Return Type

A Ulong value which represents the cell background color used for selected thumbnail items.

Remarks

Set to default Windows background color used for desktop color theme.

See Also


ThumbnailXpress Object | TN_SelectionMode Enumeration | SelectionMode Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SelectedItemCount Property

Description

Gets the number of selected thumbnail items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItemCount() As Long

Return Type

A long value which represents the number of selected thumbnail items.

See Also

ThumbnailXpress Object | TN_SelectionMode Enumeration | SelectionMode Property


ThumbnailXpress Object | SelectedItemCount Property | TN_SelectionMode Enumeration

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SelectionMode Property

Description

Gets or sets the selection mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionMode() As TN_SelectionMode

Return Type

A TN_SelectionMode enumeration value which determines the selection mode.

Remarks

The default value is 3: Multi-extended.

See Also

ThumbnailXpress Object | SelectedItemCount Property | TN_SelectionMode Enumeration


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ShowImagePlaceholders Property

Description

Gets or sets whether a placeholder image is drawn while waiting for the thumbnail to be generated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowImagePlaceholders() As Boolean

Return Type

A boolean value which is True to draw a placeholder image while the thumbnail is generated. Otherwise, False should be used and a placeholder image is not drawn.

Remarks

The default value is False.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

TextBackColor Property

Description

Gets or sets the descriptor text background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextBackColor() As ULong

Return Type

A Ulong value which represents the descriptor text background color.

See Also


ThumbnailXpress Object | ThreadStartThreshold Property | MaximumThreadCount Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ThreadHungThreshold Property

Description

Gets or sets the maximum amount of time (in milliseconds) a thread will spend generating an image representing a thumbnail item, before it should abandon the generation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThreadHungThreshold() As Long

Return Type

A long value which represents the maximum amount of time a thread spends generating an image representing a thumbnail item.

Remarks

The default value is 9 seconds.

On legacy equipment, this value may need to be increased.

The minimum value enforced to be at least twice the value of ThreadStartThreshold Property

See Also

ThumbnailXpress Object | ThreadStartThreshold Property | MaximumThreadCount Property


ThumbnailXpress Object | ThreadHungThreshold Property | MaximumThreadCount Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ThreadStartThreshold Property

Description

Gets or sets the amount of time (in milliseconds) a thread will spend generating an image representing a thumbnail item, before it should start an additional thread generating images representing thumbnail items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThreadStartThreshold() As Long

Return Type

A long value which represents the amount of time a thread will spend generating an image for a thumbnail before it starts an additional thread.

Remarks

The default value is 3,000 milli-seconds.

The enforced value range will be 100 through 1/2 of the ThreadHungThreshold value.

A request for a thumbnail beyond the elapsed time threshold (in milliseconds) is considered "extended duration". If other thumbnails are requested, ThumbnailXpressadjusts for "extended duration" requests by starting additional thumbnail generation threads. If the additional threads also exceed the "Extended Duration" Threshold, the control continues to start new threads until the ThreadHungThreshold Property is reached.

See Also

ThumbnailXpress Object | ThreadHungThreshold Property | MaximumThreadCount Property


ThumbnailXpress Object | BottomMargin Property | LeftMargin Property | TopMargin Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

TopMargin Property

Description

Gets or sets the top margin in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopMargin() As Long

Return Type

A long value which represents the top margin in pixels.

Remarks

The default value is 5 pixels.

The LeftMargin, TopMargin, RightMargin, BottomMargin properties control how much space is reserved in the client area of the control, which will not have any thumbnail items drawn in it. The area between the edge, extending toward the center of the control by the number of units specified by this value, will always be painted using the background color, and will not have thumbnail items drawn in it.

See Also

ThumbnailXpress Object | BottomMargin Property | LeftMargin Property | TopMargin Property


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

TopVisibleItem Property

Description

Gets the thumbnail item which is visible in the top-left corner of the control window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopVisibleItem() As Long

Return Type

A long value which represents the top-left corner of the control window for the thumbnail item.

See Also


ThumbnailXpress Object | PDFXSerialNumber Property | SetPDFXLicenseCodes Method

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

UsePDFXpress Property

Description

Gets or sets whether to use PDF Xpress v1.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UsePDFXpress() As Boolean

Return Type

A boolean value which is True to use PDF Xpress1. Otherwise, False to not use PDF Xpress1.

See Also

ThumbnailXpress Object | PDFXSerialNumber Property | SetPDFXLicenseCodes Method


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

UsePDFXpress2 Property

Description

Gets or sets whether to use PDF Xpress v2.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UsePDFXpress2() As Boolean

Return Type

A boolean value which is True to use PDF Xpress2. Otherwise, False to not use PDF Xpress2.

See Also


ThumbnailXpress Object | ScrollDirection Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

VisibleColumnCount Property

Description

Gets and sets the number of columns of cells which are viewable in the control window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisibleColumnCount() As Long

Return Type

A long value which represents the number of columns of cells which are viewable in the control window.

Remarks

The VisibleColumnCount property provides a count of the number of cell columns which are visible in the control window. If the ScrollDirection property is set to Horizontal, this might include one partially displayed column. If the ScrollDirection property is set to Vertical, this property will contain the number of fully visible columns, since partially visible columns are only displayed when scrolling horizontally.

See Also

ThumbnailXpress Object | ScrollDirection Property


ThumbnailXpress Object | ScrollDirection Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

VisibleRowCount Property

Description

Gets or sets the number of rows of cells which are viewable in the control window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisibleRowCount() As Long

Return Type

A long value which represents the number of rows of cells which are viewable in the control window.

Remarks

The VisibleRowCount property provides a count of the number of cell rows which are visible in the control window. If the ScrollDirection property is set to Vertical, this might include one partially displayed row. If the ScrollDirection property is set to Horizontal, this property will contain the number of fully visible rows, since partially visible rows are only displayed when scrolling vertically.

See Also

ThumbnailXpress Object | ScrollDirection Property


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Click Event

Description

Called when a left mouse button is pressed.

Syntax

Public Event Click()

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

DoubleClick Event

Description

Called when a left mouse button is double clicked.

Syntax

Public Event DoubleClick()

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index item. The index is only valid if there are no additions or deletions to the thumbnail item collection prior to use of this index value.
ErrorNum
A long value which represents the error number.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Error Event

Description

Called when an error occurs during generation or painting of a thumbnail item.

Syntax

Public Event Error( _
   ByVal ItemIndex As Long, _
   ByVal ErrorNum As Long _
)

Parameters

ItemIndex
A long value which represents the index item. The index is only valid if there are no additions or deletions to the thumbnail item collection prior to use of this index value.
ErrorNum
A long value which represents the error number.

Remarks

Note: You must call the EnableEvent method to enable this event.

See Also


ThumbnailXpress Object

ItemIndex
A long value which represents the index location within the Thumbnail Item Collection for which the thumbnail image generation has just completed.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

ItemComplete Event

Description

Called when a thumbnail item's asynchronous image generation has been completed.

Syntax

Public Event ItemComplete( _
   ByVal ItemIndex As Long _
)

Parameters

ItemIndex
A long value which represents the index location within the Thumbnail Item Collection for which the thumbnail image generation has just completed.

Remarks

Note: You must call the EnableEvent method to enable this event.

See Also


ThumbnailXpress Object

KeyCode
An integer value which represents the key code.
Shift
An integer value which represents the shift.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

KeyDown Event

Description

Called on a key down action.

Syntax

Public Event KeyDown( _
   ByVal KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
An integer value which represents the key code.
Shift
An integer value which represents the shift.

See Also


ThumbnailXpress Object

KeyAscii
An integer value which represents the ascii key.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

KeyPress Event

Description

Called on a key press action.

Syntax

Public Event KeyPress( _
   ByVal KeyAscii As Integer _
)

Parameters

KeyAscii
An integer value which represents the ascii key.

See Also


ThumbnailXpress Object

KeyCode
An integer value which represents the key code.
Shift
An integer value which represents the shift.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

KeyUp Event

Description

Called on a key up action.

Syntax

Public Event KeyUp( _
   ByVal KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
An integer value which represents the key code.
Shift
An integer value which represents the shift.

See Also


ThumbnailXpress Object

LoadFromMemoryItemID
A long value which represents the item ID from memory to load.
UserTag
A variant value which represents the user tag.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

LoadFromMemory Event

Description

Called when loading from memory.

Syntax

Public Event LoadFromMemory( _
   ByVal LoadFromMemoryItemID As Long, _
   ByVal UserTag As Variant _
)

Parameters

LoadFromMemoryItemID
A long value which represents the item ID from memory to load.
UserTag
A variant value which represents the user tag.

Remarks

Note: You must call the EnableEvent method to enable this event.

See Also


MouseDown Event

ThumbnailXpress Object

Button
An integer which represents the mouse button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MouseDown Event

Description

Called on a mouse down action.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal X As Long, _
   ByVal Y As Long _
)

Parameters

Button
An integer which represents the mouse button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.

See Also


MouseMove Event

ThumbnailXpress Object

Button
An integer which represents the mouse button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MouseMove Event

Description

Called on a mouse move action.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal X As Long, _
   ByVal Y As Long _
)

Parameters

Button
An integer which represents the mouse button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.

See Also


MouseUp Event

ThumbnailXpress Object

Button
An integer value which represents the button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

MouseUp Event

Description

Called on a mouse up action.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal X As Long, _
   ByVal Y As Long _
)

Parameters

Button
An integer value which represents the button.
Shift
An integer value which represents the shift.
X
A long value which represents the x (horizontal) value.
Y
A long value which represents the y (vertical) value.

See Also


Paint Event

ThumbnailXpress Object

hDC
A long value which represents a handle.
left
A long value which represents the left side of the area to paint.
top
A long value which represents the top side of the area to paint.
width
A long value which represents the width of the area to paint.
height
A long value which represents the height of the area to paint.
See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Paint Event

Description

Called when the thumbnail item is painted.

Syntax

Public Event Paint( _
   ByVal hDC As Long, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal width As Long, _
   ByVal height As Long _
)

Parameters

hDC
A long value which represents a handle.
left
A long value which represents the left side of the area to paint.
top
A long value which represents the top side of the area to paint.
width
A long value which represents the width of the area to paint.
height
A long value which represents the height of the area to paint.

Remarks

Note: You must call the EnableEvent method to enable this event.

See Also


ThumbnailXpress Object

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

SelectionIndexChanged Event

Description

Called when a thumbnail item is selected using the user interface.

Syntax

Public Event SelectionIndexChanged()

Remarks

Note: You must call the EnableEvent method to enable this event.

See Also


TN_BorderStyle Enumeration

Description

Option values which determine the border style for the perimeter of the control.

Members

Member | Description
TN_BorderNone | No control border.
TN_BorderFixedSingle | Single line control border
TN_BorderFixed3D | 3-D control border


TN_DebugErrorLevel Enumeration

Description

Option values which determine the amount of logging detail to be sent to the log file.

Members

Member | Description
TN_Production | This value is for logging in production mode and has the least amount of detail in the log.
TN_Development | This value is for logging in development mode and has some additional amount of detail in the log.
TN_Detailed | This value is for debugging and has the highest level of detail in the log.


TN_DescriptorFormat Enumeration

Description

Option values which determine the source of descriptor text.

Members

Member | Description
TN_DescriptorFormatNone | Do not display a descriptor.
TN_DescriptorFormatDefault | Use the thumbnail item descriptor property if present, or short filename otherwise.
TN_DescriptorFormatLongFilename | Use The Long Filename.
TN_DescriptorFormatShortFilename | Use The Short Filename.
TN_DescriptorFormatPage | Use the image's page number in the multipage file.
TN_DescriptorFormatCustom | Use the thumbnail item descriptor property contents.


TN_DescriptorHorizontalAlignment Enumeration

Description

Option values which determine the horizontal alignment of the descriptor text display.

Members

Member | Description
TN_HAlignLeft | Descriptor text is left justified.
TN_HAlignCenter | Descriptor text is horizontally centered.
TN_HAlignRight | Descriptor text is right justified.


TN_DescriptorVerticalAlignment Enumeration

Description

Option values which determine the vertical alignment of the descriptor text display.

Members

Member | Description
TN_VAlignTop | Descriptor text is top justified.
TN_VAlignCenter | Descriptor text is centered vertically.
TN_VAlignBottom | Descriptor text is bottom justified.


TN_ErrorAction Enumeration

Description

Option values which determine the action taken when processing errors encountered.

Members

Member | Description
TN_UseErrorIcon | Default value. Displays error icon when unsupported or error thumbnails encountered.
TN_Abort | Stop display of thumbnails.

Remarks

The default value is TN_UseErrorIcon.


EvaluationMode Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

TN_EvaluationMode Enumeration

Description

Option values which designate evaluation modes available for use.

Members

Member | Description
TN_Dialog | Default value. TrialDialog specifies that a dialog box should be used during evaluation.
TN_Watermark The ThumbnailXpress component uses this enumeration to specify that after a period of time (5 minutes), the control will stop processing during evaluation.

This mode can be used in scenarios - for example running on an internet server - where the application does not have permission to create a window.

In this mode, the component will succesfully process for a period of 5 minutes and then stop processing with a licensing error.

Remarks

The default value is TN_Dialog.

See Also

EvaluationMode Property


TN_Event Enumeration

Description

Option values which designate ThumbnailXpress Events.

Members

Member | Description
TN_SelectedIndexChange | The SelectedIndexChanged Event.
TN_Paint | The ThumbnailXpress Paint Event.
TN_ItemComplete | The ThumbnailItem ItemComplete Event.
TN_Error | The ThumbnailXpress Error Event
TN_LoadFromMemoryEvent | The LoadFromMemory Event.


TN_FilterComparison Enumeration

Description

Option values which specifiy the desired comparison outcome for a file date or size filter.

Members

Member | Description
TN_LessThan | Use Less Than
TN_LessThanEquals | Use Less Than or Equals
TN_Equal | Use Equals
TN_GreaterThanEquals | Use Greater Than or Equals.
TN_GreaterThan | Use Greater Than.


TN_FilterType Enumeration

Description

Option values which designate the Thumbnail image file property that is to be compared or matched by a filter.

Members

Member | Description
TN_Filename | Use the source filename.
TN_FileAttributes | Use the source file attributes.
TN_FileCreationDate | Use the source file creation date.
TN_FileModificationDate | Use the source file modification date.
TN_FileSize | Use the source file file size.
TN_SupportedFileType | Use the source file file type.


TN_IXLicenseEdition Enumeration

Description

Option values which designate the edition of ImagXpress® used by ThumbnailXpress™ control.

Members

Member | Description
TN_Standard | ImagXpress Standard Edition.
TN_View | ImagXpress View Edition.
TN_Document | ImagXpress Document Edition.
TN_Photo | ImagXpress Photo Edition.

Remarks

See the ImagXpress Help documentation for details on each edition.


TN_ScrollDirection Enumeration

Description

Option values which designate the direction thumbnails scroll in the control.

Members

Member | Description
TN_Horizontal | Thumbnails scroll in a horizontal direction.
TN_Vertical | Thumbnails scroll in a vertical direction.


TN_ScrollItemsType Enumeration

Description

Option values which specify the incremental amount or if a positional programmatic scroll operation is desired.

Members

Member | Description
TN_LargeDecrease | Large decrease in scroll operation.
TN_SmallDecrease | Small decrease in scroll operation.
TN_LargeIncrease | Large increase in scroll operation.
TN_SmallIncrease | Small increase in scroll operation.
TN_ThumbPosition | Thumb position.
TN_ItemIndex | Item index.


TN_SelectionMode Enumeration

Description

Option values which designate the selection mode for the control.

Members

Member | Description
TN_None | Thumbnail Selection is not enabled.
TN_Single | Only one thumbnail item may be selected. If a second item is selected, the selected state is removed from any previously selected item.
TN_MultiSimple | Multiple thumbnail items may be selected; the control and shift keys do not modify the items selected operation.
TN_MultiExtended | Default mode. Multiple Thumbnail items may be selected; the control and shift keys modify the items selected operation.

Remarks

The default value is TN_MultiExtended.


ThreadHungThreshold Property

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

TN_ThumbnailStatus Enumeration

Description

Option values which designate the status of a thumbnail item.

Members

Member | Description
TN_NotValidated | Item not validated at any level. The thumbnail is not validated.
TN_Validated | File validated at some level; ThumbnailXpress believes it is a supported file type.
TN_BeingGenerated | Thumbnail bitmap in the process of being generated.
TN_Generated | A thumbnail bitmap successfully generated (though it may not be in cache at this point).
TN_FailedWithError | ThumbnailXpress failed to generate thumbnail bitmap for the image (likely decompression error).
TN_FailedWithTimeout | Failed to generate thumbnail bitmap within time limits. See ThreadHungThreshold property.
TN_Canceled | The thumbnail is canceled.

See Also

ThreadHungThreshold Property


TN_ThumbnailType Enumeration

Description

Option values which designate the type of thumbnail (image, pdf, etc.) for a thumbnail item.

Members

Member | Description
TN_Unknown | 0 - Thumbnail type is not recognized by ThumbnailXpress operations.
TN_Internet | 1 - Specifies that the file is an Internet file.
TN_Unsupported | 2 - ImageXpress or PDFXpress (if available) does not support the file.
TN_Image | 3 - Supported ImagXpress file type.
TN_PDF | 4 - Supported PDFXpress file type.
TN_CAD | 5 - Supported CAD (Computer Aided Design) file type.
TN_ParentDirectory | 6 - Parent directory folder.
TN_Subdirectory | 7 - Sub-directory folder type.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Documentation Overview

Description

Pegasus Imaging ThumbnailXpress Control v2.0

Projects

Project | Description
PegasusImagingActiveXThumbnailXpress2 | Pegasus Imaging ThumbnailXpress Control v2.0


Project Overview

Description

Pegasus Imaging ThumbnailXpress Control v2.0

Classes

Class Module | Description
ThumbnailXpress | Pegasus Imaging ThumbnailXpress Control v2.0

Public Enumerations

Enumeration | Description
TN_BorderStyle | Option values which determine the border style for the perimeter of the control.
TN_DebugErrorLevel | Option values which determine the amount of logging detail to be sent to the log file.
TN_DescriptorFormat | Option values which determine the source of descriptor text.
TN_DescriptorHorizontalAlignment | Option values which determine the horizontal alignment of the descriptor text display.
TN_DescriptorVerticalAlignment | Option values which determine the vertical alignment of the descriptor text display.
TN_ErrorAction | Option values which determine the action taken when processing errors encountered.
TN_EvaluationMode | Option values which designate evaluation modes available for use.
TN_Event | Option values which designate ThumbnailXpress Events.
TN_FilterComparison | Option values which specifiy the desired comparison outcome for a file date or size filter.
TN_FilterType | Option values which designate the Thumbnail image file property that is to be compared or matched by a filter.
TN_IXLicenseEdition | Option values which designate the edition of ImagXpress® used by ThumbnailXpress™ control.
TN_ScrollDirection | Option values which designate the direction thumbnails scroll in the control.
TN_ScrollItemsType | Option values which specify the incremental amount or if a positional programmatic scroll operation is desired.
TN_SelectionMode | Option values which designate the selection mode for the control.
TN_ThumbnailStatus | Option values which designate the status of a thumbnail item.
TN_ThumbnailType | Option values which designate the type of thumbnail (image, pdf, etc.) for a thumbnail item.


Enumerations Members

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Enumerations Object

For a list of all members defined in this module, see Enumerations members.

Object Model

See Also

Enumerations Members


Enumerations Overview

See Also Pegasus Imaging ThumbnailXpress Control v2.0 Send comments on this topic.

Enumerations Object Members

See Also

Enumerations Overview